Debian Bug report logs - #691535
Plugins: Failed to load libmumble.so: Cannot load library /usr/lib/mumble/libmumble.so: (/usr/lib/mumble/libmumble.so: undefined symbol: glPopClientAttrib)

version graph

Package: mumble; Maintainer for mumble is Christopher Knadle <Chris.Knadle@coredump.us>; Source for mumble is src:mumble.

Reported by: Daniel Kahn Gillmor <dkg@fifthhorseman.net>

Date: Fri, 26 Oct 2012 21:45:01 UTC

Severity: serious

Tags: patch

Found in versions mumble/1.2.3-349-g315b5f5-2, mumble/1.2.3-349-g315b5f5-2.1, mumble/1.2.3-348-g317f5a0-1

Fixed in version mumble/1.2.3-349-g315b5f5-2.2

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, dkg@fifthhorseman.net, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Fri, 26 Oct 2012 21:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
New Bug report received and forwarded. Copy sent to dkg@fifthhorseman.net, Ron Lee <ron@debian.org>. (Fri, 26 Oct 2012 21:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Plugins: Failed to load libmumble.so: Cannot load library /usr/lib/mumble/libmumble.so: (/usr/lib/mumble/libmumble.so: undefined symbol: glPopClientAttrib)
Date: Fri, 26 Oct 2012 17:41:08 -0400
Package: mumble
Version: 1.2.3-349-g315b5f5-2.1
Severity: normal

I'm just launching mumble, canceling the server selection dialog box,
and then quitting the application from the menus.

It gives errors on the console about finding a symbol from libGL:

0 dkg@pip:~$ mumble
G15LCDEngineUnix: Unable to connect to G15Daemon.
CELT bitstream 8000000b from /usr/lib/mumble/libcelt0.so.0.7.0
Locale is en_US
TextToSpeech: Failed to contact speech dispatcher.
Database SQLite: "3.7.13" 
Overlay: Listening on "/home/dkg/.MumbleOverlayPipe" 
GlobalShortcutX: Unable to open any keyboard input devices under /dev/input, falling back to XInput
GlobalShortcutX: Using XI2 2.0
Plugins: Failed to load libmumble.so: Cannot load library /usr/lib/mumble/libmumble.so: (/usr/lib/mumble/libmumble.so: undefined symbol: glPopClientAttrib)
Plugins: Failed to load libmumble.so.1: Cannot load library /usr/lib/mumble/libmumble.so.1: (/usr/lib/mumble/libmumble.so.1: undefined symbol: glPopClientAttrib)
Plugins: Failed to load libmumble.so.1.2: Cannot load library /usr/lib/mumble/libmumble.so.1.2: (/usr/lib/mumble/libmumble.so.1.2: undefined symbol: glPopClientAttrib)
Plugins: Failed to load libmumble.so.1.2.4: Cannot load library /usr/lib/mumble/libmumble.so.1.2.4: (/usr/lib/mumble/libmumble.so.1.2.4: undefined symbol: glPopClientAttrib)
AudioInput: 40000 bits/s, 48000 hz, 480 sample CELT
PulseAudio: Starting input alsa_input.pci-0000_00_1b.0.analog-stereo
AudioInput: Initialized mixer for 1 channel 44100 hz mic and 0 channel 48000 hz echo
warning: The VAD has been replaced by a hack pending a complete rewrite
OpenSSL Support: 1 (OpenSSL 1.0.1c 10 May 2012)
PulseAudio: Forcibly disconnected from PulseAudio
0 dkg@pip:~$ 


note that if i launch it with libGL already loaded, those errors go
away:

0 dkg@pip:~$ LD_PRELOAD=/usr/lib/i386-linux-gnu/libGL.so mumble
G15LCDEngineUnix: Unable to connect to G15Daemon.
CELT bitstream 8000000b from /usr/lib/mumble/libcelt0.so.0.7.0
Locale is en_US
TextToSpeech: Failed to contact speech dispatcher.
Database SQLite: "3.7.13" 
Overlay: Removing old socket on "/home/dkg/.MumbleOverlayPipe" 
Overlay: Listening on "/home/dkg/.MumbleOverlayPipe" 
GlobalShortcutX: Unable to open any keyboard input devices under /dev/input, falling back to XInput
GlobalShortcutX: Using XI2 2.0
SocketRPC: Removing old socket on "/home/dkg/.MumbleSocket" 
AudioInput: 40000 bits/s, 48000 hz, 480 sample CELT
PulseAudio: Starting input alsa_input.pci-0000_00_1b.0.analog-stereo
AudioInput: Initialized mixer for 1 channel 44100 hz mic and 0 channel 48000 hz echo
warning: The VAD has been replaced by a hack pending a complete rewrite
PulseAudio: Forcibly disconnected from PulseAudio
0 dkg@pip:~$ 


maybe libmumble.so needs to be linked against libGL.so?  it currently
isn't, despite having several symbols undefined from it:

0 dkg@pip:~$ objdump -T /usr/lib/mumble/libmumble.so | grep glPop
00000000      D  *UND*	00000000              glPopClientAttrib
00000000      D  *UND*	00000000              glPopMatrix
00000000      D  *UND*	00000000              glPopAttrib
0 dkg@pip:~$ ldd /usr/lib/mumble/libmumble.so
	linux-gate.so.1 =>  (0xb7755000)
	librt.so.1 => /lib/i386-linux-gnu/i686/cmov/librt.so.1 (0xb7720000)
	libdl.so.2 => /lib/i386-linux-gnu/i686/cmov/libdl.so.2 (0xb771c000)
	libc.so.6 => /lib/i386-linux-gnu/i686/cmov/libc.so.6 (0xb75be000)
	libpthread.so.0 => /lib/i386-linux-gnu/i686/cmov/libpthread.so.0 (0xb75a5000)
	/lib/ld-linux.so.2 (0xb7756000)
0 dkg@pip:~$ 

Thanks for maintaining mumble in debian,

  --dkg

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (200, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-3-686-pae (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages mumble depends on:
ii  gconf2                     3.2.5-1+build1
ii  libasound2                 1.0.25-4
ii  libavahi-client3           0.6.31-1
ii  libavahi-common3           0.6.31-1
ii  libavahi-compat-libdnssd1  0.6.31-1
ii  libc6                      2.13-35
ii  libg15daemon-client1       1.9.5.3-8.2
ii  libgcc1                    1:4.7.1-7
ii  libopus0                   0.9.14+20120615-1
ii  libprotobuf7               2.4.1-3
ii  libpulse0                  2.0-6
ii  libqt4-dbus                4:4.8.2+dfsg-2
ii  libqt4-network             4:4.8.2+dfsg-2
ii  libqt4-sql                 4:4.8.2+dfsg-2
ii  libqt4-sql-sqlite          4:4.8.2+dfsg-2
ii  libqt4-svg                 4:4.8.2+dfsg-2
ii  libqt4-xml                 4:4.8.2+dfsg-2
ii  libqtcore4                 4:4.8.2+dfsg-2
ii  libqtgui4                  4:4.8.2+dfsg-2
ii  libsndfile1                1.0.25-5
ii  libspeechd2                0.7.1-6.1
ii  libspeex1                  1.2~rc1-6
ii  libspeexdsp1               1.2~rc1-6
ii  libssl1.0.0                1.0.1c-4
ii  libstdc++6                 4.7.1-7
ii  libx11-6                   2:1.5.0-1
ii  libxi6                     2:1.6.1-1
ii  lsb-release                4.1+Debian7

Versions of packages mumble recommends:
pn  speech-dispatcher  <none>

Versions of packages mumble suggests:
pn  mumble-server  <none>

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Wed, 07 Nov 2012 17:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Wed, 07 Nov 2012 17:48:05 GMT) Full text and rfc822 format available.

Message #10 received at 691535@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: 691535@bugs.debian.org
Subject: undefined symbol: glPopClientAttrib
Date: Wed, 7 Nov 2012 12:11:12 -0500
Hello again, Daniel.  :-)

You're correct about the error being thrown -- until now I've never noticed it 
because I generally start Mumble graphically.  Mumble seems to work fine 
(communication-wise) even though the error gets thrown.

From what I can see, this might be expected behavior of the program because 
/usr/share/doc/mumble/Readme.Linux discusses using LD_PRELOAD or the 'mumble-
overlay' program (which is shipped with the 'mumble' package) in the case 
where the OpenGL overlay is desired -- but it's /not/ required.  What's going 
on is that Mumble is designed with 3D gaming in mind, and the overlay is for 
showing a list of people in the channel and who is actively speaking while 
you're playing a game; but this overlay and the plugins for the overlay (for 
particular games) are only needed in a 3D game, and not otherwise.

So I thank you for pointing this out because it's interesting, but I'm not 
sure if it's actually a bug.  ;-)  Let me know what you think.

Thanks.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Thu, 08 Nov 2012 07:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Thu, 08 Nov 2012 07:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 691535@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: 691535@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Thu, 8 Nov 2012 17:27:23 +1030
On Wed, Nov 07, 2012 at 12:11:12PM -0500, Chris Knadle wrote:
> Hello again, Daniel.  :-)
> 
> You're correct about the error being thrown -- until now I've never noticed it 
> because I generally start Mumble graphically.  Mumble seems to work fine 
> (communication-wise) even though the error gets thrown.
> 
> From what I can see, this might be expected behavior of the program because 
> /usr/share/doc/mumble/Readme.Linux discusses using LD_PRELOAD or the 'mumble-
> overlay' program (which is shipped with the 'mumble' package) in the case 
> where the OpenGL overlay is desired -- but it's /not/ required.

erm ...  that talks about preloading *libmumble* to run a *3rd party game*
not about needing to preload the *system libGL* just to be able to run
*mumble itself* ...

Notice the difference?

<hint> One and only one of those things is not clearly insane </>

>  What's going 
> on is that Mumble is designed with 3D gaming in mind, and the overlay is for 
> showing a list of people in the channel and who is actively speaking while 
> you're playing a game; but this overlay and the plugins for the overlay (for 
> particular games) are only needed in a 3D game, and not otherwise.

No, what's going on is that it's apparently failed to link to a library
that it requires.

> So I thank you for pointing this out because it's interesting, but I'm not 
> sure if it's actually a bug.  ;-)  Let me know what you think.

I'm pretty sure that everybody else is 100% certain that this is a bug.

If there is any open question there at all it is whether the bug is RC,
which for "application fails to start at all due to missing library dep"
I wouldn't have thought would be very controversial either ...

But this seems to be new(ly reported) for the upload you prepared, and
it's still not clear yet why it is new and who it effects.  So yes,
you will need to investigate that further.  It's most certainly not
"expected behaviour" for a Debian package.

  Ron





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Thu, 08 Nov 2012 09:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Thu, 08 Nov 2012 09:15:03 GMT) Full text and rfc822 format available.

Message #20 received at 691535@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: Chris Knadle <Chris.Knadle@coredump.us>
Cc: 691535@bugs.debian.org
Subject: Re: bug #691535: undefined symbol: glPopClientAttrib
Date: Thu, 08 Nov 2012 04:11:58 -0500
[Message part 1 (text/plain, inline)]
On 11/07/2012 07:59 PM, Chris Knadle wrote:
> You're correct about the error being thrown -- until now I've never noticed it 
> because I generally start Mumble graphically.  Mumble seems to work fine 
> (communication-wise) even though the error gets thrown.
> 
> From what I can see, this might be expected behavior of the program because 
> /usr/share/doc/mumble/Readme.Linux discusses using LD_PRELOAD or the 'mumble-
> overlay' program (which is shipped with the 'mumble' package) in the case 
> where the OpenGL overlay is desired -- but it's /not/ required.  What's going 
> on is that Mumble is designed with 3D gaming in mind, and the overlay is for 
> showing a list of people in the channel and who is actively speaking while 
> you're playing a game; but this overlay and the plugins for the overlay (for 
> particular games) are only needed in a 3D game, and not otherwise.
> 
> So I thank you for pointing this out because it's interesting, but I'm not 
> sure if it's actually a bug.  ;-)  Let me know what you think.

hm, i see what you mean that it isn't really a bug.

however, when mumble fails for whatever reason, a natural approach is to
look at the console output to see what sort of errors are coming up.
This happened to me, and this message spew led me down some time of wild
goose chasing that i would rather have spent actually getting my client
working.

That kind of red herring seems like a misfeature at best.

	--dkg

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Thu, 08 Nov 2012 17:54:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Thu, 08 Nov 2012 17:54:12 GMT) Full text and rfc822 format available.

Message #25 received at 691535@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, 691535@bugs.debian.org, Chris Knadle <Chris.Knadle@coredump.us>
Subject: Re: Bug#691535: Plugins: Failed to load libmumble.so: Cannot load library /usr/lib/mumble/libmumble.so: (/usr/lib/mumble/libmumble.so: undefined symbol: glPopClientAttrib)
Date: Thu, 8 Nov 2012 18:53:21 +0100
[Message part 1 (text/plain, inline)]
On Fri, 26 Oct 2012 17:41:08 -0400, Daniel Kahn Gillmor wrote:

> It gives errors on the console about finding a symbol from libGL:
> 
> 0 dkg@pip:~$ mumble
> G15LCDEngineUnix: Unable to connect to G15Daemon.
> CELT bitstream 8000000b from /usr/lib/mumble/libcelt0.so.0.7.0
> Locale is en_US
> TextToSpeech: Failed to contact speech dispatcher.
> Database SQLite: "3.7.13" 
> Overlay: Listening on "/home/dkg/.MumbleOverlayPipe" 
> GlobalShortcutX: Unable to open any keyboard input devices under /dev/input, falling back to XInput
> GlobalShortcutX: Using XI2 2.0
> Plugins: Failed to load libmumble.so: Cannot load library /usr/lib/mumble/libmumble.so: (/usr/lib/mumble/libmumble.so: undefined symbol: glPopClientAttrib)
> Plugins: Failed to load libmumble.so.1: Cannot load library /usr/lib/mumble/libmumble.so.1: (/usr/lib/mumble/libmumble.so.1: undefined symbol: glPopClientAttrib)
> Plugins: Failed to load libmumble.so.1.2: Cannot load library /usr/lib/mumble/libmumble.so.1.2: (/usr/lib/mumble/libmumble.so.1.2: undefined symbol: glPopClientAttrib)
> Plugins: Failed to load libmumble.so.1.2.4: Cannot load library /usr/lib/mumble/libmumble.so.1.2.4: (/usr/lib/mumble/libmumble.so.1.2.4: undefined symbol: glPopClientAttrib)
> AudioInput: 40000 bits/s, 48000 hz, 480 sample CELT
> PulseAudio: Starting input alsa_input.pci-0000_00_1b.0.analog-stereo
> AudioInput: Initialized mixer for 1 channel 44100 hz mic and 0 channel 48000 hz echo
> warning: The VAD has been replaced by a hack pending a complete rewrite
> OpenSSL Support: 1 (OpenSSL 1.0.1c 10 May 2012)
> PulseAudio: Forcibly disconnected from PulseAudio
> 0 dkg@pip:~$ 

Just a quick note:
This is also reported in Ubuntu's Launchpad:
https://bugs.launchpad.net/mumble/+bug/1056907

    "Package: mumble 1.2.3-349-g315b5f5-2ubuntu2" 

/*
Diff for 1.2.3-349-g315b5f5-2ubuntu2 against 1.2.3-349-g315b5f5-2:
https://patches.ubuntu.com/m/mumble/mumble_1.2.3-349-g315b5f5-2ubuntu2.patch 
*/

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Cat Stevens: Girl, You'll Be A Woman Soon
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Thu, 08 Nov 2012 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Thu, 08 Nov 2012 18:18:03 GMT) Full text and rfc822 format available.

Message #30 received at 691535@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: Ron <ron@debian.org>, 691535@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Thu, 8 Nov 2012 13:15:33 -0500
On Thursday, November 08, 2012 01:57:23, Ron wrote:
> On Wed, Nov 07, 2012 at 12:11:12PM -0500, Chris Knadle wrote:
> > Hello again, Daniel.  :-)
> > 
> > You're correct about the error being thrown -- until now I've never
> > noticed it because I generally start Mumble graphically.  Mumble seems
> > to work fine (communication-wise) even though the error gets thrown.
> > 
> > From what I can see, this might be expected behavior of the program
> > because /usr/share/doc/mumble/Readme.Linux discusses using LD_PRELOAD or
> > the 'mumble- overlay' program (which is shipped with the 'mumble'
> > package) in the case where the OpenGL overlay is desired -- but it's
> > /not/ required.
> 
> erm ...  that talks about preloading *libmumble* to run a *3rd party game*
> not about needing to preload the *system libGL* just to be able to run
> *mumble itself* ...
> 
> Notice the difference?

No, that's /not/ what the bug stated.  Regardless of the error to the console, 
Mumble /is/ starting.  Mumble does not /require/ libGL to run (and I would 
very much like to keep it that way), even though it perhaps /can/ use it in 
/some/ circumstances -- however the Mumble 3D overlay doesn't seem to come up 
in any of the 3D games for Linux that I've tried so far, so I'm not sure how 
useful that particular feature is for Debian.

> <hint> One and only one of those things is not clearly insane </>
> 
> >  What's going
> > 
> > on is that Mumble is designed with 3D gaming in mind, and the overlay is
> > for showing a list of people in the channel and who is actively speaking
> > while you're playing a game; but this overlay and the plugins for the
> > overlay (for particular games) are only needed in a 3D game, and not
> > otherwise.
> 
> No, what's going on is that it's apparently failed to link to a library
> that it requires.

Not /required/ -- no.

> > So I thank you for pointing this out because it's interesting, but I'm
> > not sure if it's actually a bug.  ;-)  Let me know what you think.
> 
> I'm pretty sure that everybody else is 100% certain that this is a bug.
> 
> If there is any open question there at all it is whether the bug is RC,
> which for "application fails to start at all due to missing library dep"
> I wouldn't have thought would be very controversial either ...
> 
> But this seems to be new(ly reported) for the upload you prepared, and
> it's still not clear yet why it is new and who it effects.  So yes,
> you will need to investigate that further.  It's most certainly not
> "expected behaviour" for a Debian package.

This issue is /not/ related to my "349"-2.1 NMU upload.  The "348"-1 package 
that's in Wheezy right now and the "349"-2 package both exhibit exactly this 
same behavior.

If bugs are reported that you think are related to the "349"-2.1 NMU then I'd 
appreciate it if you'd forward them to me so I can look at them.  And when you 
do, I'd really appreciate it if you'd use some common curteousy.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Thu, 08 Nov 2012 18:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Thu, 08 Nov 2012 18:30:08 GMT) Full text and rfc822 format available.

Message #35 received at 691535@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, 691535@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Thu, 8 Nov 2012 13:28:07 -0500
On Thursday, November 08, 2012 04:11:58, Daniel Kahn Gillmor wrote:
> On 11/07/2012 07:59 PM, Chris Knadle wrote:
> > You're correct about the error being thrown -- until now I've never
> > noticed it because I generally start Mumble graphically.  Mumble seems
> > to work fine (communication-wise) even though the error gets thrown.
> > 
> > From what I can see, this might be expected behavior of the program
> > because /usr/share/doc/mumble/Readme.Linux discusses using LD_PRELOAD or
> > the 'mumble- overlay' program (which is shipped with the 'mumble'
> > package) in the case where the OpenGL overlay is desired -- but it's
> > /not/ required.  What's going on is that Mumble is designed with 3D
> > gaming in mind, and the overlay is for showing a list of people in the
> > channel and who is actively speaking while you're playing a game; but
> > this overlay and the plugins for the overlay (for particular games) are
> > only needed in a 3D game, and not otherwise.
> > 
> > So I thank you for pointing this out because it's interesting, but I'm
> > not sure if it's actually a bug.  ;-)  Let me know what you think.
> 
> hm, i see what you mean that it isn't really a bug.
> 
> however, when mumble fails for whatever reason, a natural approach is to
> look at the console output to see what sort of errors are coming up.
> This happened to me, and this message spew led me down some time of wild
> goose chasing that i would rather have spent actually getting my client
> working.
> 
> That kind of red herring seems like a misfeature at best.

I agree.

Looks like Gregor already found that this has been fixed in Ubuntu.



Gregor -- thanks for the diff.  The major thing I see is an added Build-
Depends on libqt4-opengl-dev.  I'm going to try making that one change and see 
if it fixes the bug, yet still allows Mumble to start on a non-OpenGL system 
(i.e. in a VM).

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Thu, 08 Nov 2012 19:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Thu, 08 Nov 2012 19:39:04 GMT) Full text and rfc822 format available.

Message #40 received at 691535@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, gregor herrmann <gregoa@debian.org>, 691535@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Thu, 8 Nov 2012 14:36:28 -0500
On Thursday, November 08, 2012 13:28:07, Chris Knadle wrote:
> On Thursday, November 08, 2012 04:11:58, Daniel Kahn Gillmor wrote:
> > On 11/07/2012 07:59 PM, Chris Knadle wrote:
> > > You're correct about the error being thrown -- until now I've never
> > > noticed it because I generally start Mumble graphically.  Mumble seems
> > > to work fine (communication-wise) even though the error gets thrown.
> > > 
> > > From what I can see, this might be expected behavior of the program
> > > because /usr/share/doc/mumble/Readme.Linux discusses using LD_PRELOAD
> > > or the 'mumble- overlay' program (which is shipped with the 'mumble'
> > > package) in the case where the OpenGL overlay is desired -- but it's
> > > /not/ required.  What's going on is that Mumble is designed with 3D
> > > gaming in mind, and the overlay is for showing a list of people in the
> > > channel and who is actively speaking while you're playing a game; but
> > > this overlay and the plugins for the overlay (for particular games)
> > > are only needed in a 3D game, and not otherwise.
> > > 
> > > So I thank you for pointing this out because it's interesting, but I'm
> > > not sure if it's actually a bug.  ;-)  Let me know what you think.
> > 
> > hm, i see what you mean that it isn't really a bug.
> > 
> > however, when mumble fails for whatever reason, a natural approach is to
> > look at the console output to see what sort of errors are coming up.
> > This happened to me, and this message spew led me down some time of wild
> > goose chasing that i would rather have spent actually getting my client
> > working.
> > 
> > That kind of red herring seems like a misfeature at best.
> 
> I agree.
> 
> Looks like Gregor already found that this has been fixed in Ubuntu.

Ugh.  Spoke too soon -- when I saw an attached .diff I thought the bug was 
fixed in Ubuntu, but it's not.  Adding a build dependency on libqt4-opengl-dev 
doesn't alter the behavior.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Thu, 08 Nov 2012 21:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Thu, 08 Nov 2012 21:42:03 GMT) Full text and rfc822 format available.

Message #45 received at 691535@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Chris.Knadle@coredump.us, 691535@bugs.debian.org
Cc: Ron <ron@debian.org>, 691535-submitter@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Thu, 8 Nov 2012 22:38:04 +0100
[Message part 1 (text/plain, inline)]
Control: found -1 1.2.3-348-g317f5a0-1
Control: found -1 1.2.3-349-g315b5f5-2

On Thu, 08 Nov 2012 13:15:33 -0500, Chris Knadle wrote:

> On Thursday, November 08, 2012 01:57:23, Ron wrote:

> > But this seems to be new(ly reported) for the upload you prepared, and
> > it's still not clear yet why it is new and who it effects.  So yes,
> > you will need to investigate that further.  It's most certainly not
> > "expected behaviour" for a Debian package.
> This issue is /not/ related to my "349"-2.1 NMU upload.  The "348"-1 package 
> that's in Wheezy right now and the "349"-2 package both exhibit exactly this 
> same behavior.

Thanks for checking; I planned to do this but you were quicker :)

Since this happens also with the earlier versions, I'm setting the
affected versions for the BTS accordingly.

My impression at the moment is:
- There's a bug but mumble still works, as confirmed by the submitter
  of the LP bug and by Chris now. So the priority is probably fine.
- The bug is not new but, as Ron implied, newly reported.

Is this correct?

Cheers,
gregor
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Status Quo: Roll Over Lay Down
[signature.asc (application/pgp-signature, inline)]

Marked as found in versions mumble/1.2.3-348-g317f5a0-1. Request was from gregor herrmann <gregoa@debian.org> to 691535-submit@bugs.debian.org. (Thu, 08 Nov 2012 21:42:04 GMT) Full text and rfc822 format available.

Marked as found in versions mumble/1.2.3-349-g315b5f5-2. Request was from gregor herrmann <gregoa@debian.org> to 691535-submit@bugs.debian.org. (Thu, 08 Nov 2012 21:42:04 GMT) Full text and rfc822 format available.

Message sent on to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Bug#691535. (Thu, 08 Nov 2012 21:42:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Thu, 08 Nov 2012 22:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Knadle <Chris.Knadle@coredump.us>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Thu, 08 Nov 2012 22:54:06 GMT) Full text and rfc822 format available.

Message #57 received at 691535@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: gregor herrmann <gregoa@debian.org>, 691535-submitter@bugs.debian.org
Cc: 691535@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Thu, 08 Nov 2012 17:49:47 -0500
On Thursday, November 08, 2012 10:38:04 PM gregor herrmann wrote:
> Control: found -1 1.2.3-348-g317f5a0-1
> Control: found -1 1.2.3-349-g315b5f5-2
> 
> On Thu, 08 Nov 2012 13:15:33 -0500, Chris Knadle wrote:
> > On Thursday, November 08, 2012 01:57:23, Ron wrote:
> > > But this seems to be new(ly reported) for the upload you prepared, and
> > > it's still not clear yet why it is new and who it effects.  So yes,
> > > you will need to investigate that further.  It's most certainly not
> > > "expected behaviour" for a Debian package.
> > 
> > This issue is /not/ related to my "349"-2.1 NMU upload.  The "348"-1
> > package that's in Wheezy right now and the "349"-2 package both exhibit
> > exactly this same behavior.
> 
> Thanks for checking; I planned to do this but you were quicker :)

;-)  Thanks for being ready to do the same.

I've also checked the package I previously  built using upstream version    
412-g6c9694d and it shows the same error output on startup.  Upstream has 
three other new tarballs that were just recently released I could build 
another mumble package from to see if this has been fixed upstream; the newest 
being 525-gcb22b39.

> Since this happens also with the earlier versions, I'm setting the
> affected versions for the BTS accordingly.
>
> My impression at the moment is:
> - There's a bug but mumble still works, as confirmed by the submitter
>   of the LP bug and by Chris now. So the priority is probably fine.
> - The bug is not new but, as Ron implied, newly reported.
> 
> Is this correct?

Yes AFAIK that's right.

-- 

  -- Chris

Chris Knadle
Chris.Knadle@coredump.us



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Thu, 08 Nov 2012 23:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Thu, 08 Nov 2012 23:24:03 GMT) Full text and rfc822 format available.

Message #62 received at 691535@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: gregor herrmann <gregoa@debian.org>, 691535@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Fri, 9 Nov 2012 09:51:05 +1030
On Thu, Nov 08, 2012 at 10:38:04PM +0100, gregor herrmann wrote:
> My impression at the moment is:
> - There's a bug but mumble still works, as confirmed by the submitter

And the fix should be trivial.  libmumble uses symbols from libGL but
doesn't link to it, and so will fail unless that's fixed and it does.

>   of the LP bug and by Chris now. So the priority is probably fine.

That kind of depends on whether it's considered acceptable for the
mumble-overlay / preloading libmumble described in the README to be
completely broken for Wheezy.  Since that clearly can't work as it is
documented if libmumble can't be loaded because of a broken DT_NEEDED.

If we're actually shipping that, then I'd say it not working isn't
a release worthy condition for it to be in ...

(That's a separate issue from the 'mumble' binary continuing to work
 after its dlopen attempt fails, but is the real effect of the actual
 bug behind the one lesser symptom of it first reported here).

> - The bug is not new but, as Ron implied, newly reported.
> 
> Is this correct?

I think so, we can add this to the growing list of things it's been
shipping for some time that nobody apparently ever used or tested :/
(or that they tested and then shrugged off as "not sure how useful
that is for Debian" when it didn't work because it was broken ):

Now that we know about it though, it's not really acceptable to say
"oh it can just stay broken because I don't use it or want a GL dep".

Either the stuff depending on libGL needs to be removed (which seems
dumb) or it needs to be fixed to build correctly (which seems easy).

Expecting people to kludge around it by preloading system libraries
that it uses symbols from would be a whole new level of You're Kidding
to descend to though.  Let's not do that one shall we ...

  Cheers,
  Ron





Message sent on to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Bug#691535. (Thu, 08 Nov 2012 23:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Fri, 09 Nov 2012 04:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Fri, 09 Nov 2012 04:36:03 GMT) Full text and rfc822 format available.

Message #70 received at 691535@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: 691535@bugs.debian.org, 691535-submitter@bugs.debian.org, gregor herrmann <gregoa@debian.org>, Ron <ron@debian.org>
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Thu, 8 Nov 2012 23:33:09 -0500
Ron, please keep me in the CC list.

On Thu, Nov 08, 2012 at 10:38:04PM +0100, gregor herrmann wrote:
> > My impression at the moment is:
> > - There's a bug but mumble still works, as confirmed by the submitter
>
> And the fix should be trivial.  libmumble uses symbols from libGL but
> doesn't link to it, and so will fail unless that's fixed and it does.

If you think this is simple then I'd suggest trying the fix you have in mind 
and seeing what effect it has.

> >   of the LP bug and by Chris now. So the priority is probably fine.
>
> That kind of depends on whether it's considered acceptable for the
> mumble-overlay / preloading libmumble described in the README to be
> completely broken for Wheezy.  Since that clearly can't work as it is
> documented if libmumble can't be loaded because of a broken DT_NEEDED.
>
> If we're actually shipping that, then I'd say it not working isn't
> a release worthy condition for it to be in ...

The Mumble overlay isn't critical to the VoIP functionality -- it's a 
convenience to show who is talking when running a 3D game, and it only works 
with /certain/ 3D games.  For instance the FAQ states that on Windows 
it only works for 32-bit applications that use DirectX 9 or 10, and not 11:

   http://mumble.sourceforge.net/FAQ/English#The_overlay_does_not_work_in_game_X

I looked to see if there was a list of games that the overlay was known to 
work for, but I wasn't able to find one.  There are plugins for Mumble for a 
lot of games, and there many other games that the Mumble 3D overlay works for 
without a plugin needed -- but /for Windows/ in the end it's a crapshoot 
whether the overlay works for a particular game or not.  However the VoIP 
functionality always works just fine, and it's the /VoIP/ functionality that's 
most important.

On /Debian/ I've never seen the 3D overlay work at all, regardless of the 
version of Mumble I was using and regardless of the 3D application I tried it 
with, but again the VoIP functionality works fine (as long as the necessary 
codec support is included).  Since I don't know what application Mumble on 
Debian is known to work with, I don't have a way of testing Mumble for this, 
and I also don't know when to report the lack of overlay as a bug.  Under 
these circumstances it's hard to say that the lack of 3D overlay functionality 
is RC.



The fact that the /documentation/ is wrong or that the program doesn't follow 
what the documentation says -- yes I agree that needs fixing.

> (That's a separate issue from the 'mumble' binary continuing to work
>  after its dlopen attempt fails, but is the real effect of the actual
>  bug behind the one lesser symptom of it first reported here).

> > - The bug is not new but, as Ron implied, newly reported.
> > 
> > Is this correct?
>
> I think so, we can add this to the growing list of things it's been
> shipping for some time that nobody apparently ever used or tested :/
> (or that they tested and then shrugged off as "not sure how useful
> that is for Debian" when it didn't work because it was broken ):

See above for the reason why I wrote what you've quoted.

> Now that we know about it though, it's not really acceptable to say
> "oh it can just stay broken because I don't use it or want a GL dep".

My only concern with a dependency on OpenGL is about whether Mumble will work 
on systems that /don't/ have OpenGL support.  /As long as/ a dependency on GL 
still allows Mumble to work on systems without OpenGL support then adding a 
dependency on it is fine.  If it won't, then the main thing adding a 
dependency on GL will do is artificially reduce the number of systems capable 
of running Mumble.

> Either the stuff depending on libGL needs to be removed (which seems
> dumb) or it needs to be fixed to build correctly (which seems easy).
>
> Expecting people to kludge around it by preloading system libraries
> that it uses symbols from would be a whole new level of You're Kidding
> to descend to though.  Let's not do that one shall we ...

On this latter point I agree with you.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us



Message sent on to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Bug#691535. (Fri, 09 Nov 2012 04:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Fri, 09 Nov 2012 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Fri, 09 Nov 2012 16:30:03 GMT) Full text and rfc822 format available.

Message #78 received at 691535@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: 691535@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Sat, 10 Nov 2012 02:48:06 +1030
On Thu, Nov 08, 2012 at 11:33:09PM -0500, Chris Knadle wrote:
> it's hard to say that the lack of 3D overlay functionality is RC.

This bug isn't reporting the lack of that functionality, it's reporting
clear evidence of a fundamentally broken build in a library we are shipping.
That library build can't work at all, and so doesn't belong in a release
unless it is fixed.  This isn't brain science, it's how is program formed 101.

> The fact that the /documentation/ is wrong or that the program doesn't follow 
> what the documentation says -- yes I agree that needs fixing.

That's not a fact, it's a failure on your part to comprehend what it does
and/or how it works if you think that it is somehow wrong or inaccurate.

And it's not an agreement, since nobody else has or is suggesting that the
documentation or intended mode of use has any indication of being wrong.

Both the documentation and 'program' look perfectly fine and they don't
need fixing at all.  They should work just peachy as is if the library
wasn't fatally broken.

Spreading your misunderstanding of them to other users however would very
much be a new bug.  Do not change the documentation of this - the only
thing broken in respect to it would appear to be your rhetorical device.


> it only works with /certain/ 3D games.  For instance the FAQ states that
> on Windows it only works for 32-bit applications that use DirectX 9 or 10,
> and not 11:
> 
>    http://mumble.sourceforge.net/FAQ/English#The_overlay_does_not_work_in_game_X

You're arguing that the reason it is broken on Debian is not because of
the obvious missing DT_NEEDED bug -- but rather because the games that
you like to play must have been using DirectX 11?

 /lol/





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Sat, 10 Nov 2012 01:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sat, 10 Nov 2012 01:33:03 GMT) Full text and rfc822 format available.

Message #83 received at 691535@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Ron <ron@debian.org>, 691535@bugs.debian.org
Cc: Chris Knadle <Chris.Knadle@coredump.us>, 691535-submitter@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Sat, 10 Nov 2012 02:30:03 +0100
[Message part 1 (text/plain, inline)]
On Fri, 09 Nov 2012 09:51:05 +1030, Ron wrote:

> > My impression at the moment is:
> > - There's a bug but mumble still works, as confirmed by the submitter
> And the fix should be trivial.  libmumble uses symbols from libGL but
> doesn't link to it, and so will fail unless that's fixed and it does.

So, let's fix it :)

The term "trivial" triggered me into trying it myself.

The attached patch adds -lGL to LIBS in overlay_gl/overlay_gl.pro
which seems to determine the libmumble build.

The result:

- No more "undefined symbol" errors when starting mumble:

% mumble
PulseAudio: Connection failure: Connection refused
G15LCDEngineUnix: Unable to connect to G15Daemon.
CELT bitstream 8000000b from /usr/lib/mumble/libcelt0.so.0.7.0
Locale is C
TextToSpeech: Failed to contact speech dispatcher.
Database SQLite: "3.7.14.1" 
Overlay: Listening on "/home/gregoa/.MumbleOverlayPipe" 
GlobalShortcutX: Unable to open any keyboard input devices under /dev/input, falling back to XInput
GlobalShortcutX: Using XI2 2.0
AudioInput: 40000 bits/s, 48000 hz, 480 sample CELT
ALSAAudioOutput: Initialized
ALSAAudioInput: Initing audiocapture default.
ALSAAudioInput: Actual buffer 48000 hz, 1 channel 4096 samples [1024 per period]
AudioInput: Initialized mixer for 1 channel 48000 hz mic and 0 channel 48000 hz echo
ALSAAudioOutput: ALSA reports 10000 output channels. Clamping to 2.
ALSAAudioOutput: Actual buffer 48000 hz, 2 channel 3072 samples [1024 per period]
ALSAAudioOutput: Initializing 2 channel, 48000 hz mixer
AudioOutput: Initialized 2 channel 48000 hz mixer
warning: The VAD has been replaced by a hack pending a complete rewrite
ALSAAudioInput: Releasing ALSA Mic.
ALSAAudioOutput: Destroyed


- libmumble is linked against libGL (and many more things (?)):

% ldd /usr/lib/mumble/libmumble.so
    linux-vdso.so.1 =>  (0x00007fff703ff000)
    librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007faa3a188000)
    libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007faa39f84000)
    libGL.so.1 => /usr/lib/x86_64-linux-gnu/libGL.so.1 (0x00007faa39d23000)
    libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007faa39999000)
    libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007faa3977d000)
    /lib64/ld-linux-x86-64.so.2 (0x00007faa3a5b6000)
    libglapi.so.0 => /usr/lib/x86_64-linux-gnu/libglapi.so.0 (0x00007faa39557000)
    libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007faa39344000)
    libXdamage.so.1 => /usr/lib/x86_64-linux-gnu/libXdamage.so.1 (0x00007faa39142000)
    libXfixes.so.3 => /usr/lib/x86_64-linux-gnu/libXfixes.so.3 (0x00007faa38f3b000)
    libX11-xcb.so.1 => /usr/lib/x86_64-linux-gnu/libX11-xcb.so.1 (0x00007faa38d3a000)
    libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007faa389fe000)
    libxcb-glx.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-glx.so.0 (0x00007faa387e5000)
    libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007faa385c5000)
    libXxf86vm.so.1 => /usr/lib/x86_64-linux-gnu/libXxf86vm.so.1 (0x00007faa383bf000)
    libdrm.so.2 => /usr/lib/x86_64-linux-gnu/libdrm.so.2 (0x00007faa381b2000)
    libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007faa37eab000)
    libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007faa37c29000)
    libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007faa37a12000)
    libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007faa3780f000)
    libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007faa37609000)


> >   of the LP bug and by Chris now. So the priority is probably fine.
> That kind of depends on whether it's considered acceptable for the
> mumble-overlay / preloading libmumble described in the README to be
> completely broken for Wheezy.  Since that clearly can't work as it is
> documented if libmumble can't be loaded because of a broken DT_NEEDED.

Ok, so the problem is not starting mumble itself, as reported by dkg, but
mumble-overlay / preloading libmumble ...
 
> (That's a separate issue from the 'mumble' binary continuing to work
>  after its dlopen attempt fails, but is the real effect of the actual
>  bug behind the one lesser symptom of it first reported here).

Ok.
 
> > - The bug is not new but, as Ron implied, newly reported.
> > Is this correct?
> I think so, we can add this to the growing list of things it's been
> shipping for some time that nobody apparently ever used or tested :/
> (or that they tested and then shrugged off as "not sure how useful
> that is for Debian" when it didn't work because it was broken ):

Yeah, seems so :/
 

Cheers,
gregor, hoping that his patch attempt might be useful


-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Tom Waits: Day After Tomorrow
[691535.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Message sent on to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Bug#691535. (Sat, 10 Nov 2012 01:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Sat, 10 Nov 2012 03:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sat, 10 Nov 2012 03:03:03 GMT) Full text and rfc822 format available.

Message #91 received at 691535@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: gregor herrmann <gregoa@debian.org>, 691535@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Sat, 10 Nov 2012 13:28:28 +1030
On Sat, Nov 10, 2012 at 02:30:03AM +0100, gregor herrmann wrote:
> On Fri, 09 Nov 2012 09:51:05 +1030, Ron wrote:
> 
> > > My impression at the moment is:
> > > - There's a bug but mumble still works, as confirmed by the submitter
> > And the fix should be trivial.  libmumble uses symbols from libGL but
> > doesn't link to it, and so will fail unless that's fixed and it does.
> 
> So, let's fix it :)

Thanks! \o/

> The term "trivial" triggered me into trying it myself.

I'd hoped so :)  I've got a small mountain of backlog still to dig through
right now, and this still isn't anywhere near the top of it just yet, so
that's much appreciated!

> The attached patch adds -lGL to LIBS in overlay_gl/overlay_gl.pro
> which seems to determine the libmumble build.

Indeed.  Minor nit, I'd probably put -lGL at the front of that list,
but mostly that's an old habit from when order mattered with one-pass
static lib linking - it's less of a deal if this is shared libs only.

so LIBS *= -lGL -lrt -ldl instead of LIBS *= -lrt -ldl -lGL

> The result:
> 
> - No more "undefined symbol" errors when starting mumble:

That part is completely expected.

> - libmumble is linked against libGL (and many more things (?)):

That's fine, that's just ldd resolving the full chain of all things
that libs libmumble depends on depend on too.

ldd on /usr/lib/x86_64-linux-gnu/libGL.so.1 will show you the rest
of those, and that list might change if libGL ever changes its deps
(and we'd need to do nothing extra here if it ever did, not even
recompile, ldd would just show a different list of those).


> > >   of the LP bug and by Chris now. So the priority is probably fine.
> > That kind of depends on whether it's considered acceptable for the
> > mumble-overlay / preloading libmumble described in the README to be
> > completely broken for Wheezy.  Since that clearly can't work as it is
> > documented if libmumble can't be loaded because of a broken DT_NEEDED.
> 
> Ok, so the problem is not starting mumble itself, as reported by dkg, but
> mumble-overlay / preloading libmumble ...

Yeah, he spotted one symptom, but that's not really the primary problem
that he actually brought to light here.


So I guess the two interesting questions remaining now are:

 - Does it actually work!
 - and when do we want to upload it if it does ...


The first I'm a bit less certain about now, since libmumble actually
tries to be a bit trickier than your average preload library ...
It's both overriding symbols from libGL *and* using them via normal
linkage.  Linking to libGL is certainly the correct solution for the
latter, which was the symptom the original report made apparent, but
that may have now gone and broken the overriding that the preload
would normally do, since we've now forced libGL to be loaded before
the libmumble symbols are resolved ...

(I had a quick dig through this myself, since I figured if I was
 asserting it was trivial, it would probably pay to be sure of that,
 and this tossed an extra layer of uncertaintly into the mix)

It does some tricky fun with overriding dlsym, to intercept requests
for the symbols it wants to override and that might still catch them,
but without running some actual tests I'm not 100% certain of that,
and that's where I ran out of time for this and had to drop it again.


You should be able to do the preload trick from the README with
any app that calls glXSwapBuffers(), and if you also set
MUMBLE_OVERLAY_DEBUG=1 in your environment, it should bark a bunch
of debug messages at you when it is doing things.

If that works, we're looking good.  If not, it might be back to
the drawing board for a slightly different solution ...


If it does work, I guess the question is whether we push this now,
or let the release team get through reviewing the current candidate
and then push the one liner after that migrates.  The latter might
be better, but I guess we should let them make that call :)


  Thanks Gregor!





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Sat, 10 Nov 2012 06:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sat, 10 Nov 2012 06:09:05 GMT) Full text and rfc822 format available.

Message #96 received at 691535@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: gregor herrmann <gregoa@debian.org>, 691535@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Sat, 10 Nov 2012 16:34:36 +1030
On Sat, Nov 10, 2012 at 01:28:28PM +1030, Ron wrote:
> So I guess the two interesting questions remaining now are:
> 
>  - Does it actually work!
>  - and when do we want to upload it if it does ...

Ok, so I just knocked up a quick and dirty test jig here for what
libmumble is doing, and it looks like my late fears about the first
point appear to be (most pleasantly!) unfounded.

I can run:

$ MUMBLE_OVERLAY_DEBUG=1 LD_PRELOAD=./libmumble.so.1.2.4 glxgears

And it appears to be intercepting the needed glX calls exactly as
it ought to.  It would be nice if somebody could confirm that really
all works as expected with a full mumble install to connect it to,
but I'm expecting at this stage that any other failure which might
crop up will be an entirely separate bug, and that it really should
all work as intended now with just this trivial fix applied.


If someone can ack that, I'll have a chat to the release folk when
they are around next about what to do for the second point.

  Best,
  Ron





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Sat, 10 Nov 2012 09:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sat, 10 Nov 2012 09:27:09 GMT) Full text and rfc822 format available.

Message #101 received at 691535@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: gregor herrmann <gregoa@debian.org>, 691535@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Sat, 10 Nov 2012 19:54:41 +1030
severity 691535 serious
thanks


On Sat, Nov 10, 2012 at 01:28:28PM +1030, Ron wrote:
> So I guess the two interesting questions remaining now are:
> 
>  - Does it actually work!
>  - and when do we want to upload it if it does ...

And as for the second, the best plan for -release at present would seem
to be to hold off on uploading the fix for this until they've had a
chance to review what's currently in unstable, and then we'll push this
as a separate fix after that.

Bumping the severity accordingly then.

If people want to run some more tests in the meantime to ensure there is
nothing else we need to push with that, that would probably be a good idea.


  Cheers,
  Ron





Severity set to 'serious' from 'normal' Request was from Ron <ron@debian.org> to control@bugs.debian.org. (Sat, 10 Nov 2012 09:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Sat, 10 Nov 2012 20:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sat, 10 Nov 2012 20:45:05 GMT) Full text and rfc822 format available.

Message #108 received at 691535@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Ron <ron@debian.org>, 691535@bugs.debian.org
Cc: Chris Knadle <Chris.Knadle@coredump.us>, 691535-submitter@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Sat, 10 Nov 2012 21:40:39 +0100
[Message part 1 (text/plain, inline)]
On Sat, 10 Nov 2012 13:28:28 +1030, Ron wrote:

> > On Fri, 09 Nov 2012 09:51:05 +1030, Ron wrote:
> > The term "trivial" triggered me into trying it myself.
> I'd hoped so :)  I've got a small mountain of backlog still to dig through
> right now, and this still isn't anywhere near the top of it just yet, so
> that's much appreciated!

You're welcome.

And great that you found the time to look a bit further and also
discuss with the release team today, thanks.
 
> > The attached patch adds -lGL to LIBS in overlay_gl/overlay_gl.pro
> > which seems to determine the libmumble build.
> Indeed.  Minor nit, I'd probably put -lGL at the front of that list,
> but mostly that's an old habit from when order mattered with one-pass
> static lib linking - it's less of a deal if this is shared libs only.
> 
> so LIBS *= -lGL -lrt -ldl instead of LIBS *= -lrt -ldl -lGL

Ok, fine.
 
> > - libmumble is linked against libGL (and many more things (?)):
> That's fine, that's just ldd resolving the full chain of all things
> that libs libmumble depends on depend on too.

That was my assumption too, thanks for the confirmation.
 
> (I had a quick dig through this myself, since I figured if I was
>  asserting it was trivial, it would probably pay to be sure of that,
>  and this tossed an extra layer of uncertaintly into the mix)

:)
 

On Sat, 10 Nov 2012 16:34:36 +1030, Ron wrote:

> > So I guess the two interesting questions remaining now are:
> > 
> >  - Does it actually work!
> >  - and when do we want to upload it if it does ...
> 
> Ok, so I just knocked up a quick and dirty test jig here for what
> libmumble is doing, and it looks like my late fears about the first
> point appear to be (most pleasantly!) unfounded.
> 
> I can run:
> 
> $ MUMBLE_OVERLAY_DEBUG=1 LD_PRELOAD=./libmumble.so.1.2.4 glxgears
> 
> And it appears to be intercepting the needed glX calls exactly as
> it ought to.  

I've tried this now, both with 
MUMBLE_OVERLAY_DEBUG=1 LD_PRELOAD=/usr/lib/mumble/libmumble.so.1.2.4 glxgears
and
MUMBLE_OVERLAY_DEBUG=1 mumble-overlay glxgears

What I get is a short flicker, and the following output:

MumbleOverlay: Mumble overlay library loaded
MumbleOverlay: Iterating dlsym table 0x7fdebbb70348 0x7fdebbb706f0 39
MumbleOverlay: Original dlsym at 0x7fdebbb71030
MumbleOverlay: Request for symbol __driDriverExtensions (0x101d880:0x7fdebbb71030)
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.
MumbleOverlay: Current context is: 0x101a950
MumbleOverlay: GLX version 1.4
MumbleOverlay: OpenGL Version 3.0 Mesa 8.0.5, Vendor Tungsten Graphics, Inc, Renderer Mesa DRI Intel(R) Sandybridge Mobile , Shader 1.30
MumbleOverlay: VERTEX: 
MumbleOverlay: FRAGMENT: 
X Error of failed request:  GLXBadDrawable
  Major opcode of failed request:  154 (GLX)
  Minor opcode of failed request:  29 (X_GLXGetDrawableAttributes)
  Serial number of failed request:  33
  Current serial number in output stream:  33


Is this the expected outcome?


On Sat, 10 Nov 2012 19:54:41 +1030, Ron wrote:

> On Sat, Nov 10, 2012 at 01:28:28PM +1030, Ron wrote:
> > So I guess the two interesting questions remaining now are:
> > 
> >  - Does it actually work!
> >  - and when do we want to upload it if it does ...
> 
> And as for the second, the best plan for -release at present would seem
> to be to hold off on uploading the fix for this until they've had a
> chance to review what's currently in unstable, and then we'll push this
> as a separate fix after that.

And thanks to adsb, -2.1 is unblocked now and should migrate to testing
in the next hours \o/

So we can indeed concentrate on this GL issue separately now.
 
> If people want to run some more tests in the meantime to ensure there is
> nothing else we need to push with that, that would probably be a good idea.

Ack; unfortunately I'm not the best candidate when it comes to games
or voip ...


I'm attaching a new debdiff, that re-orders the LIBS and adds some
headers to the patch.


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Tom Waits: I Never Talk To Strangers
[691535_2.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Message sent on to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Bug#691535. (Sat, 10 Nov 2012 20:45:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Sun, 11 Nov 2012 00:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 11 Nov 2012 00:12:03 GMT) Full text and rfc822 format available.

Message #116 received at 691535@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: 691535@bugs.debian.org, Ron <ron@debian.org>
Cc: gregor herrmann <gregoa@debian.org>, 691535-submitter@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Sat, 10 Nov 2012 19:08:13 -0500
[Message part 1 (text/plain, inline)]
On Friday, November 09, 2012 11:18:06, Ron wrote:
> On Thu, Nov 08, 2012 at 11:33:09PM -0500, Chris Knadle wrote:
...
> > The fact that the /documentation/ is wrong or that the program doesn't
> > follow what the documentation says -- yes I agree that needs fixing.
> 
> That's not a fact, it's a failure on your part to comprehend what it does
> and/or how it works if you think that it is somehow wrong or inaccurate.
> 
> And it's not an agreement, since nobody else has or is suggesting that the
> documentation or intended mode of use has any indication of being wrong.
> 
> Both the documentation and 'program' look perfectly fine and they don't
> need fixing at all.  They should work just peachy as is if the library
> wasn't fatally broken.
> 
> Spreading your misunderstanding of them to other users however would very
> much be a new bug.  Do not change the documentation of this - the only
> thing broken in respect to it would appear to be your rhetorical device.

Regardless of my misunderstanding, I did agree that it should be fixed.  The 
point that I was trying to make was that the current required LD_PRELOAD=libGL 
didn't match the documentation, and I also agreed with you that it wasn't sane 
to change the documentation to require having users do that.  :-/  I don't 
think I was being at all unreasonable.

When you focus on "yelling at me" in writing like the above, it really hurts 
my incentive to help you.

> > it only works with /certain/ 3D games.  For instance the FAQ states that
> > on Windows it only works for 32-bit applications that use DirectX 9 or
> > 10,
> > 
> > and not 11:
> >    http://mumble.sourceforge.net/FAQ/English#The_overlay_does_not_work_in
> >    _game_X
> 
> You're arguing that the reason it is broken on Debian is not because of
> the obvious missing DT_NEEDED bug -- but rather because the games that
> you like to play must have been using DirectX 11?
> 
>  /lol/

The above is a misinterpretation and seems quite disrespectful.  You had a 
description of Mumble doing "crazy overlay shit" which made it seem like you 
might not be very familiar with the feature, so I tried to /help/ by 
explaining the behavior on Windows to explain it's behavior of where I see it 
work, and how often it does.  Your reply twisted this attempt to help you into 
trying to make fun of me, and I really don't appreciate that.


On Friday, November 09, 2012 21:58:28, Ron wrote:
> On Sat, Nov 10, 2012 at 02:30:03AM +0100, gregor herrmann wrote:
> > On Fri, 09 Nov 2012 09:51:05 +1030, Ron wrote:
...
> > The term "trivial" triggered me into trying it myself.
> 
> I'd hoped so :)  I've got a small mountain of backlog still to dig through
> right now, and this still isn't anywhere near the top of it just yet, so
> that's much appreciated!

If you're overloaded and need help, it's much better to ask for it than to try 
to forcably push the work off on someone else.  Please try to ask next time.

> > > >   of the LP bug and by Chris now. So the priority is probably fine.
> > > 
> > > That kind of depends on whether it's considered acceptable for the
> > > mumble-overlay / preloading libmumble described in the README to be
> > > completely broken for Wheezy.  Since that clearly can't work as it is
> > > documented if libmumble can't be loaded because of a broken DT_NEEDED.
> > 
> > Ok, so the problem is not starting mumble itself, as reported by dkg, but
> > mumble-overlay / preloading libmumble ...
> 
> Yeah, he spotted one symptom, but that's not really the primary problem
> that he actually brought to light here.
> 
> 
> So I guess the two interesting questions remaining now are:
> 
>  - Does it actually work!

It does.  First time I've ever seen it work.  I'm attaching the quilt patch I 
used to add the -lGL dependency in overlay_gl.pro.  I then did:

  $ mumble-overlay armagetronad

... and the overlay shows up over the main screen of the game.  [Armagetronad 
is a free light-cycle game vaguely similar from the movie Tron from 1982.]

>  - and when do we want to upload it if it does ...

We should probably also contact upstream about this too, because the latest 
version of mumble in upstream's Git repo doesn't have this fix.

> You should be able to do the preload trick from the README with
> any app that calls glXSwapBuffers(), and if you also set
> MUMBLE_OVERLAY_DEBUG=1 in your environment, it should bark a bunch
> of debug messages at you when it is doing things.
> 
> If that works, we're looking good.  If not, it might be back to
> the drawing board for a slightly different solution ...

Looks like that works too:

-------------------------------------------------------------

$ export MUMBLE_OVERLAY_DEBUG=1
$ mumble-overlay armagetronad
set
MumbleOverlay: Mumble overlay library loaded
MumbleOverlay: Iterating dlsym table 0x7f4a5b9e3348 0x7f4a5b9e36f0 39
MumbleOverlay: Original dlsym at 0x7f4a5b9e4030
MumbleOverlay: Request for symbol posix_memalign ((nil):0x7f4a5b9e4030)
MumbleOverlay: Request for symbol memalign ((nil):0x7f4a5b9e4030)
MumbleOverlay: Request for symbol malloc (0x7f4a5c8e29a8:0x7f4a5b9e4030)
MumbleOverlay: Request for symbol realloc (0x7f4a5c8e29a8:0x7f4a5b9e4030)
MumbleOverlay: Request for symbol memalign (0x7f4a5c8e29a8:0x7f4a5b9e4030)
MumbleOverlay: Request for symbol posix_memalign 
(0x7f4a5c8e29a8:0x7f4a5b9e4030)
MumbleOverlay: Request for symbol free (0x7f4a5c8e29a8:0x7f4a5b9e4030)
MumbleOverlay: Request for symbol __malloc_initialize_hook 
((nil):0x7f4a5b9e4030)
MumbleOverlay: Request for symbol __malloc_hook ((nil):0x7f4a5b9e4030)
MumbleOverlay: Request for symbol __realloc_hook ((nil):0x7f4a5b9e4030)
MumbleOverlay: Request for symbol __free_hook ((nil):0x7f4a5b9e4030)
MumbleOverlay: Request for symbol __memalign_hook ((nil):0x7f4a5b9e4030)
MumbleOverlay: Request for symbol is_selinux_enabled (0xa81720:0x7f4a5b9e4030)
MumbleOverlay: Request for symbol security_getenforce 
(0xa81720:0x7f4a5b9e4030)
MumbleOverlay: Request for symbol freecon (0xa81720:0x7f4a5b9e4030)
MumbleOverlay: Request for symbol security_get_boolean_pending 
(0xa81720:0x7f4a5b9e4030)
MumbleOverlay: Request for symbol security_get_boolean_active 
(0xa81720:0x7f4a5b9e4030)
MumbleOverlay: Request for symbol security_get_boolean_names 
(0xa81720:0x7f4a5b9e4030)
MumbleOverlay: Request for symbol getfilecon (0xa81720:0x7f4a5b9e4030)
MumbleOverlay: Request for symbol context_new (0xa81720:0x7f4a5b9e4030)
MumbleOverlay: Request for symbol context_type_get (0xa81720:0x7f4a5b9e4030)
MumbleOverlay: Request for symbol dladdr1 (0x7f4a5c8e51c8:0x7f4a5b9e4030)
MumbleOverlay: Request for symbol __register_atfork ((nil):0x7f4a5b9e4030)
MumbleOverlay: Mumble overlay library loaded
MumbleOverlay: Iterating dlsym table 0x7fd4afc36348 0x7fd4afc366f0 39
MumbleOverlay: Original dlsym at 0x7fd4afc37030
MumbleOverlay: Request for symbol posix_memalign ((nil):0x7fd4afc37030)
MumbleOverlay: Request for symbol memalign ((nil):0x7fd4afc37030)
MumbleOverlay: Request for symbol malloc (0x7fd4b2ac14e0:0x7fd4afc37030)
MumbleOverlay: Request for symbol realloc (0x7fd4b2ac14e0:0x7fd4afc37030)
MumbleOverlay: Request for symbol memalign (0x7fd4b2ac14e0:0x7fd4afc37030)
MumbleOverlay: Request for symbol posix_memalign 
(0x7fd4b2ac14e0:0x7fd4afc37030)
MumbleOverlay: Request for symbol free (0x7fd4b2ac14e0:0x7fd4afc37030)
MumbleOverlay: Request for symbol __malloc_initialize_hook 
((nil):0x7fd4afc37030)
MumbleOverlay: Request for symbol __malloc_hook ((nil):0x7fd4afc37030)
MumbleOverlay: Request for symbol __realloc_hook ((nil):0x7fd4afc37030)
MumbleOverlay: Request for symbol __free_hook ((nil):0x7fd4afc37030)
MumbleOverlay: Request for symbol __memalign_hook ((nil):0x7fd4afc37030)
MumbleOverlay: Request for symbol is_selinux_enabled (0xea48b0:0x7fd4afc37030)
MumbleOverlay: Request for symbol security_getenforce 
(0xea48b0:0x7fd4afc37030)
MumbleOverlay: Request for symbol freecon (0xea48b0:0x7fd4afc37030)
MumbleOverlay: Request for symbol security_get_boolean_pending 
(0xea48b0:0x7fd4afc37030)
MumbleOverlay: Request for symbol security_get_boolean_active 
(0xea48b0:0x7fd4afc37030)
MumbleOverlay: Request for symbol security_get_boolean_names 
(0xea48b0:0x7fd4afc37030)
MumbleOverlay: Request for symbol getfilecon (0xea48b0:0x7fd4afc37030)
MumbleOverlay: Request for symbol context_new (0xea48b0:0x7fd4afc37030)
MumbleOverlay: Request for symbol context_type_get (0xea48b0:0x7fd4afc37030)
MumbleOverlay: Request for symbol dladdr1 (0x7fd4b2aca1c8:0x7fd4afc37030)
MumbleOverlay: Request for symbol __register_atfork ((nil):0x7fd4afc37030)
Input error reading COCKPIT_FILE: invalid format.
ROTATION_FILE is currently set to .
Input error reading TEAM_MENU_COLOR_TEAM_FULL: invalid format.
Input error reading TEAM_MENU_COLOR_TEAM_OK: invalid format.
MumbleOverlay: Request for symbol XcursorNoticeCreateBitmap 
(0x10088b0:0x7fd4afc37030)
MumbleOverlay: Request for symbol XcursorNoticePutBitmap 
(0x10088b0:0x7fd4afc37030)
MumbleOverlay: Request for symbol XcursorTryShapeBitmapCursor 
(0x10088b0:0x7fd4afc37030)
MumbleOverlay: Request for symbol glXGetProcAddressARB 
(0x7fd4b2ac49c8:0x7fd4afc37030)
music/titletrack.ogg
Track: 
music/when.ogg
Track: 
Should be playing the first sequence
Didn't play the sequence only
MumbleOverlay: Current context is: 0x1025b18
MumbleOverlay: GLX version 1.4
MumbleOverlay: OpenGL Version 3.3.0 NVIDIA 304.64, Vendor NVIDIA Corporation, 
Renderer Quadro FX 570M/PCIe/SSE2, Shader 3.30 NVIDIA via Cg compiler
MumbleOverlay: VERTEX: 
MumbleOverlay: FRAGMENT: 
MumbleOverlay: Connected
MumbleOverlay: Sent init 1280 1024
MumbleOverlay: SHMEM /MumbleOverlayMemory2
MumbleOverlay: BLIT 0 0 1280 1024
MumbleOverlay: Optimzied fullscreen blit
MumbleOverlay: BLIT 0 0 1280 1024
MumbleOverlay: Optimzied fullscreen blit
MumbleOverlay: ACTIVE 980 354 276 78
MumbleOverlay: BLIT 0 0 1280 1024
MumbleOverlay: Optimzied fullscreen blit
MumbleOverlay: BLIT 0 0 1280 1024
MumbleOverlay: Optimzied fullscreen blit
MumbleOverlay: BLIT 0 0 1280 1024
MumbleOverlay: Optimzied fullscreen blit
MumbleOverlay: BLIT 0 0 1280 1024
MumbleOverlay: Optimzied fullscreen blit

> If it does work, I guess the question is whether we push this now,
> or let the release team get through reviewing the current candidate
> and then push the one liner after that migrates.  The latter might
> be better, but I guess we should let them make that call :)

Just want to give you a quick thanks to Ron for the suggestion for a fix, 
Gregor for doing the fix, and Daniel for reporting the bug.



Note: I haven't yet tested the effect of the libGL dependency in a VM without 
OpenGL support.  I'll try to do that tomorrow and report back what I find.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us
[30-add-libGL-dep (text/x-patch, attachment)]

Message sent on to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Bug#691535. (Sun, 11 Nov 2012 00:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Sun, 11 Nov 2012 05:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 11 Nov 2012 05:12:05 GMT) Full text and rfc822 format available.

Message #124 received at 691535@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: gregor herrmann <gregoa@debian.org>, 691535@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Sun, 11 Nov 2012 15:31:53 +1030
On Sat, Nov 10, 2012 at 09:40:39PM +0100, gregor herrmann wrote:
> I've tried this now, both with 
> MUMBLE_OVERLAY_DEBUG=1 LD_PRELOAD=/usr/lib/mumble/libmumble.so.1.2.4 glxgears
> and
> MUMBLE_OVERLAY_DEBUG=1 mumble-overlay glxgears
> 
> What I get is a short flicker, and the following output:
> 
> MumbleOverlay: Mumble overlay library loaded
> MumbleOverlay: Iterating dlsym table 0x7fdebbb70348 0x7fdebbb706f0 39
> MumbleOverlay: Original dlsym at 0x7fdebbb71030
> MumbleOverlay: Request for symbol __driDriverExtensions (0x101d880:0x7fdebbb71030)
> Running synchronized to the vertical refresh.  The framerate should be
> approximately the same as the monitor refresh rate.
> MumbleOverlay: Current context is: 0x101a950
> MumbleOverlay: GLX version 1.4
> MumbleOverlay: OpenGL Version 3.0 Mesa 8.0.5, Vendor Tungsten Graphics, Inc, Renderer Mesa DRI Intel(R) Sandybridge Mobile , Shader 1.30
> MumbleOverlay: VERTEX: 
> MumbleOverlay: FRAGMENT: 
> X Error of failed request:  GLXBadDrawable
>   Major opcode of failed request:  154 (GLX)
>   Minor opcode of failed request:  29 (X_GLXGetDrawableAttributes)
>   Serial number of failed request:  33
>   Current serial number in output stream:  33
> 
> Is this the expected outcome?

Not entirely expected, no :)  But at least now we're more into the
classic "portability of GL" territory than so broken it doesn't even
get to try!  The stuff before the X Error looks right though.

Does glxgears actually run for you without the mumble preload?
Since it's not entirely clear if that's an error from mumble trying
to access the drawable, or glxgears itself.

Either way though, since we do have a report this works, I think we
can fairly safely call the bug that dkg reported fixed, and if the
above really is a bug in mumble (as opposed to a problem with your
GL implementation, or it trying to do something incompatible with it)
then we should consider that a separate bug and open a separate report
for tracking it.

Now that this actually has a chance to work, I'd assume we'll see those
reported soon enough if it's widespread ...


So ...  since we now have an unblock pending the next britney run,
feel free to upload this to delayed/2 or so if you like, and then you
can chalk it off your list too -- or if that happens before you read
this, to just push it straight into the normal unstable queue.
(we shouldn't need to request another unblock for that, since the RC
fix will flag it already).


  Many thanks again!
  Ron





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Sun, 11 Nov 2012 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 11 Nov 2012 13:39:03 GMT) Full text and rfc822 format available.

Message #129 received at 691535@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Chris Knadle <Chris.Knadle@coredump.us>
Cc: 691535@bugs.debian.org, Ron <ron@debian.org>, 691535-submitter@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Sun, 11 Nov 2012 14:35:52 +0100
[Message part 1 (text/plain, inline)]
On Sat, 10 Nov 2012 19:08:13 -0500, Chris Knadle wrote:

> > So I guess the two interesting questions remaining now are:
> > 
> >  - Does it actually work!
> 
> It does.  First time I've ever seen it work.  

Cool!

> I'm attaching the quilt patch I 
> used to add the -lGL dependency in overlay_gl.pro.  I then did:
> 
>   $ mumble-overlay armagetronad
> 
> ... and the overlay shows up over the main screen of the game.  [Armagetronad 
> is a free light-cycle game vaguely similar from the movie Tron from 1982.]

That's great news. Thanks for taking the time to test this!
 
> Note: I haven't yet tested the effect of the libGL dependency in a VM without 
> OpenGL support.  I'll try to do that tomorrow and report back what I find.

That's a good idea, thanks.
 

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Various Artists: Couldn't Have Come At A Better Time
[signature.asc (application/pgp-signature, inline)]

Message sent on to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Bug#691535. (Sun, 11 Nov 2012 13:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Sun, 11 Nov 2012 13:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 11 Nov 2012 13:45:03 GMT) Full text and rfc822 format available.

Message #137 received at 691535@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Ron <ron@debian.org>
Cc: 691535@bugs.debian.org, Chris Knadle <Chris.Knadle@coredump.us>, 691535-submitter@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Sun, 11 Nov 2012 14:42:45 +0100
[Message part 1 (text/plain, inline)]
On Sun, 11 Nov 2012 15:31:53 +1030, Ron wrote:

> > What I get is a short flicker, and the following output:
> > 
> > MumbleOverlay: Mumble overlay library loaded
> > MumbleOverlay: Iterating dlsym table 0x7fdebbb70348 0x7fdebbb706f0 39
> > MumbleOverlay: Original dlsym at 0x7fdebbb71030
> > MumbleOverlay: Request for symbol __driDriverExtensions (0x101d880:0x7fdebbb71030)
> > Running synchronized to the vertical refresh.  The framerate should be
> > approximately the same as the monitor refresh rate.
> > MumbleOverlay: Current context is: 0x101a950
> > MumbleOverlay: GLX version 1.4
> > MumbleOverlay: OpenGL Version 3.0 Mesa 8.0.5, Vendor Tungsten Graphics, Inc, Renderer Mesa DRI Intel(R) Sandybridge Mobile , Shader 1.30
> > MumbleOverlay: VERTEX: 
> > MumbleOverlay: FRAGMENT: 
> > X Error of failed request:  GLXBadDrawable
> >   Major opcode of failed request:  154 (GLX)
> >   Minor opcode of failed request:  29 (X_GLXGetDrawableAttributes)
> >   Serial number of failed request:  33
> >   Current serial number in output stream:  33
> > 
> > Is this the expected outcome?
> 
> Not entirely expected, no :)  

Thought so :)

> But at least now we're more into the
> classic "portability of GL" territory than so broken it doesn't even
> get to try!  The stuff before the X Error looks right though.

Ok, good.
 
> Does glxgears actually run for you without the mumble preload?

Yup, sorry for not mentioning this yesterday.

> Since it's not entirely clear if that's an error from mumble trying
> to access the drawable, or glxgears itself.
> 
> Either way though, since we do have a report this works, I think we
> can fairly safely call the bug that dkg reported fixed, and if the
> above really is a bug in mumble (as opposed to a problem with your
> GL implementation, or it trying to do something incompatible with it)
> then we should consider that a separate bug and open a separate report
> for tracking it.
> 
> Now that this actually has a chance to work, I'd assume we'll see those
> reported soon enough if it's widespread ...

Agreed.
 
> So ...  since we now have an unblock pending the next britney run,
> feel free to upload this to delayed/2 or so if you like, and then you
> can chalk it off your list too -- or if that happens before you read
> this, to just push it straight into the normal unstable queue.

-2.1 already migrated a few hours ago.

I'd like to wait for Chris' additional tests in a VM without OpenGL
to make sure that the mumble binary itself still works there.
Then I'm happy to upload the package.

> (we shouldn't need to request another unblock for that, since the RC
> fix will flag it already).

(Ack.)
 
>   Many thanks again!

You're welcome.

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Pink Floyd: The thin ice
[signature.asc (application/pgp-signature, inline)]

Message sent on to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Bug#691535. (Sun, 11 Nov 2012 13:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Sun, 11 Nov 2012 14:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 11 Nov 2012 14:48:03 GMT) Full text and rfc822 format available.

Message #145 received at 691535@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: gregor herrmann <gregoa@debian.org>, 691535@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Mon, 12 Nov 2012 01:08:19 +1030
On Sun, Nov 11, 2012 at 02:42:45PM +0100, gregor herrmann wrote:
> On Sun, 11 Nov 2012 15:31:53 +1030, Ron wrote:
>  
> > Does glxgears actually run for you without the mumble preload?
> 
> Yup, sorry for not mentioning this yesterday.

Ok, so it's reasonably certain to be something mumble is trying to do
that for whatever reason your system doesn't support.

This doesn't look entirely unrelated:
https://bugs.freedesktop.org/show_bug.cgi?id=54080

There's a modified glxgears attached to that which you could run to
see if that really is the same problem you have on your system.


A quick dig around also seems to indicate you aren't the first person
to have this problem either:

http://www.regnumonline.com.ar/forum/showthread.php?t=60788

And they solved that by switching to a different GL implementation.
Interestingly they also report this was working on squeeze, despite
the assertions here to the contrary ...


Part of the doubt I had yesterday was that this was previously working
without the explicit libGL dep because lazy symbol resolution meant that
GL was being loaded by the target app before those symbols were ever used.
I'm still not quite sure what has changed that tries to resolve them sooner
now, but that would explain why it was not seen previously.

Thorvald isn't stupid, so I'm pretty sure he did leave it off deliberately,
hence the seed of doubt I germinated about the overload still working if we
added it ...


> > So ...  since we now have an unblock pending the next britney run,
> > feel free to upload this to delayed/2 or so if you like, and then you
> > can chalk it off your list too -- or if that happens before you read
> > this, to just push it straight into the normal unstable queue.
> 
> -2.1 already migrated a few hours ago.

Yeah, I saw that right after I hit send :)

> I'd like to wait for Chris' additional tests in a VM without OpenGL
> to make sure that the mumble binary itself still works there.
> Then I'm happy to upload the package.

Ok.  I could tell you the answer to that right now ...

but I'm in no rush, so whenever you're ready is fine with me :)


  Cheers,
  Ron





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Sun, 11 Nov 2012 16:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 11 Nov 2012 16:42:03 GMT) Full text and rfc822 format available.

Message #150 received at 691535@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Ron <ron@debian.org>
Cc: 691535@bugs.debian.org, Chris Knadle <Chris.Knadle@coredump.us>
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Sun, 11 Nov 2012 17:39:31 +0100
[Message part 1 (text/plain, inline)]
On Mon, 12 Nov 2012 01:08:19 +1030, Ron wrote:

> > > Does glxgears actually run for you without the mumble preload?
> > Yup, sorry for not mentioning this yesterday.
> Ok, so it's reasonably certain to be something mumble is trying to do
> that for whatever reason your system doesn't support.
> 
> This doesn't look entirely unrelated:
> https://bugs.freedesktop.org/show_bug.cgi?id=54080
> 
> There's a modified glxgears attached to that which you could run to
> see if that really is the same problem you have on your system.

Interesting find!

With the attached glxgears.c glxgears fails without the mumble
overlay:

% glxgears
X Error of failed request:  GLXBadDrawable
  Major opcode of failed request:  154 (GLX)
  Minor opcode of failed request:  29 (X_GLXGetDrawableAttributes)
  Serial number of failed request:  33
  Current serial number in output stream:  33

From the ticket:
| It works with Nvidia libGL or with LIBGL_ALWAYS_INDIRECT.

Yup, works:

% LIBGL_ALWAYS_INDIRECT=1 glxgears
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.

And this also works (still with the patched glxgears):

% LIBGL_ALWAYS_INDIRECT=1 mumble-overlay glxgears
set
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.

and this too:

% LIBGL_ALWAYS_INDIRECT=1 MUMBLE_OVERLAY_DEBUG=1 mumble-overlay glxgears                                                                                    
set
MumbleOverlay: Mumble overlay library loaded
MumbleOverlay: Iterating dlsym table 0x7f03c4c1e348 0x7f03c4c1e6f0 39
MumbleOverlay: Original dlsym at 0x7f03c4c1f030
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.
MumbleOverlay: Current context is: 0x186d040
MumbleOverlay: GLX version 1.4
MumbleOverlay: OpenGL Version 1.4 (3.0 Mesa 8.0.5), Vendor Tungsten Graphics, Inc, Renderer Mesa DRI Intel(R) Sandybridge Mobile , Shader (null)
MumbleOverlay: VERTEX: àQO
MumbleOverlay: FRAGMENT: àQO
MumbleOverlay: connect() failure /home/gregoa/.MumbleOverlayPipe
MumbleOverlay: connect() failure /home/gregoa/.MumbleOverlayPipe
[...]


Back to the original glxgears, all those 4 invocations work:

% glxgears
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.

% LIBGL_ALWAYS_INDIRECT=1 glxgears
Running synchronized to the vertical refresh.  The framerate should be      
approximately the same as the monitor refresh rate.

% LIBGL_ALWAYS_INDIRECT=1 mumble-overlay glxgears
set                                                                         
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.

% LIBGL_ALWAYS_INDIRECT=1 MUMBLE_OVERLAY_DEBUG=1 mumble-overlay glxgears                                                                                            set                                                                                        
MumbleOverlay: Mumble overlay library loaded
MumbleOverlay: Iterating dlsym table 0x7f1aab9a4348 0x7f1aab9a46f0 39
MumbleOverlay: Original dlsym at 0x7f1aab9a5030
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.
MumbleOverlay: Current context is: 0x1633040
MumbleOverlay: GLX version 1.4
MumbleOverlay: OpenGL Version 1.4 (3.0 Mesa 8.0.5), Vendor Tungsten Graphics, Inc, Renderer Mesa DRI Intel(R) Sandybridge Mobile , Shader (null)
MumbleOverlay: VERTEX: 
MumbleOverlay: FRAGMENT: 
MumbleOverlay: connect() failure /home/gregoa/.MumbleOverlayPipe
MumbleOverlay: connect() failure /home/gregoa/.MumbleOverlayPipe
[..]

> A quick dig around also seems to indicate you aren't the first person
> to have this problem either:
> 
> http://www.regnumonline.com.ar/forum/showthread.php?t=60788
> 
> And they solved that by switching to a different GL implementation.
> Interestingly they also report this was working on squeeze, despite
> the assertions here to the contrary ...

For installing libgl1-mesa-swx11 I'd have to remove quite a few
packages, so this is not really attractive on my real machine ...


And yes, a bit searching leads to all kind of GL problems that sound
similar.


Now that is funny:

% LIBGL_DRIVERS_PATH=/usr/lib/x86_64-linux-gnu/dri MUMBLE_OVERLAY_DEBUG=1 mumble-overlay glxgears                                                            
set
MumbleOverlay: Mumble overlay library loaded
MumbleOverlay: Iterating dlsym table 0x7f3a5b463348 0x7f3a5b4636f0 39
MumbleOverlay: Original dlsym at 0x7f3a5b464030
MumbleOverlay: Request for symbol __driDriverExtensions (0x2008880:0x7f3a5b464030)
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.
MumbleOverlay: Current context is: 0x2005950
MumbleOverlay: GLX version 1.4
MumbleOverlay: OpenGL Version 3.0 Mesa 8.0.5, Vendor Tungsten Graphics, Inc, Renderer Mesa DRI Intel(R) Sandybridge Mobile , Shader 1.30
MumbleOverlay: VERTEX: 
MumbleOverlay: FRAGMENT: 
X Error of failed request:  GLXBadDrawable
  Major opcode of failed request:  154 (GLX)
  Minor opcode of failed request:  29 (X_GLXGetDrawableAttributes)
  Serial number of failed request:  33
  Current serial number in output stream:  33

% LIBGL_DRIVERS_PATH=/usr/lib/i386-linux-gnu/dri MUMBLE_OVERLAY_DEBUG=1 mumble-overlay glxgears
set
MumbleOverlay: Mumble overlay library loaded
MumbleOverlay: Iterating dlsym table 0x7fb7b0677348 0x7fb7b06776f0 39
MumbleOverlay: Original dlsym at 0x7fb7b0678030
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.
MumbleOverlay: Current context is: 0xe98940
MumbleOverlay: GLX version 1.4
MumbleOverlay: OpenGL Version 1.4 (3.0 Mesa 8.0.5), Vendor Tungsten Graphics, Inc, Renderer Mesa DRI Intel(R) Sandybridge Mobile , Shader (null)
MumbleOverlay: VERTEX: 
MumbleOverlay: FRAGMENT: 
MumbleOverlay: connect() failure /home/gregoa/.MumbleOverlayPipe
MumbleOverlay: connect() failure /home/gregoa/.MumbleOverlayPipe
[..]


Why would it work with the 32bit "foreign" libraries but not with the
"native" 64bit ones?

(Same with Chris' example (armagetronad): works with the 32bit libs
and fails the same way with 64bit.)

 
> > I'd like to wait for Chris' additional tests in a VM without OpenGL
> > to make sure that the mumble binary itself still works there.
> > Then I'm happy to upload the package.
> Ok.  I could tell you the answer to that right now ...
> but I'm in no rush, so whenever you're ready is fine with me :)

Right, there's no immediate hurry, so one more confirmation fits my
"better safe than sorry" mode :)


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Element Of Crime: Alle vier Minuten
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Sun, 11 Nov 2012 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 11 Nov 2012 17:39:04 GMT) Full text and rfc822 format available.

Message #155 received at 691535@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: gregor herrmann <gregoa@debian.org>, 691535-submitter@bugs.debian.org
Cc: Ron <ron@debian.org>, 691535@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Sun, 11 Nov 2012 12:37:42 -0500
On Sunday, November 11, 2012 11:39:31, gregor herrmann wrote:
> On Mon, 12 Nov 2012 01:08:19 +1030, Ron wrote:
...
> And yes, a bit searching leads to all kind of GL problems that sound
> similar.
> 
> 
> Now that is funny:
> 
> % LIBGL_DRIVERS_PATH=/usr/lib/x86_64-linux-gnu/dri MUMBLE_OVERLAY_DEBUG=1
> mumble-overlay glxgears set
> MumbleOverlay: Mumble overlay library loaded
> MumbleOverlay: Iterating dlsym table 0x7f3a5b463348 0x7f3a5b4636f0 39
> MumbleOverlay: Original dlsym at 0x7f3a5b464030
> MumbleOverlay: Request for symbol __driDriverExtensions
> (0x2008880:0x7f3a5b464030) Running synchronized to the vertical refresh. 
> The framerate should be approximately the same as the monitor refresh
> rate.
> MumbleOverlay: Current context is: 0x2005950
> MumbleOverlay: GLX version 1.4
> MumbleOverlay: OpenGL Version 3.0 Mesa 8.0.5, Vendor Tungsten Graphics,
> Inc, Renderer Mesa DRI Intel(R) Sandybridge Mobile , Shader 1.30
> MumbleOverlay: VERTEX:
> MumbleOverlay: FRAGMENT:
> X Error of failed request:  GLXBadDrawable
>   Major opcode of failed request:  154 (GLX)
>   Minor opcode of failed request:  29 (X_GLXGetDrawableAttributes)
>   Serial number of failed request:  33
>   Current serial number in output stream:  33
> 
> % LIBGL_DRIVERS_PATH=/usr/lib/i386-linux-gnu/dri MUMBLE_OVERLAY_DEBUG=1
> mumble-overlay glxgears set
> MumbleOverlay: Mumble overlay library loaded
> MumbleOverlay: Iterating dlsym table 0x7fb7b0677348 0x7fb7b06776f0 39
> MumbleOverlay: Original dlsym at 0x7fb7b0678030
> Running synchronized to the vertical refresh.  The framerate should be
> approximately the same as the monitor refresh rate.
> MumbleOverlay: Current context is: 0xe98940
> MumbleOverlay: GLX version 1.4
> MumbleOverlay: OpenGL Version 1.4 (3.0 Mesa 8.0.5), Vendor Tungsten
> Graphics, Inc, Renderer Mesa DRI Intel(R) Sandybridge Mobile , Shader
> (null) MumbleOverlay: VERTEX:
> MumbleOverlay: FRAGMENT:
> MumbleOverlay: connect() failure /home/gregoa/.MumbleOverlayPipe
> MumbleOverlay: connect() failure /home/gregoa/.MumbleOverlayPipe
> [..]
> 
> 
> Why would it work with the 32bit "foreign" libraries but not with the
> "native" 64bit ones?
> 
> (Same with Chris' example (armagetronad): works with the 32bit libs
> and fails the same way with 64bit.)

This sort of reminds me of an issue I'm having the current WINE package in 
Debian.  The wine64-bin package contains only a text file describing what's 
necessary to install the i386 foreign architecture and then to install the 
wine-bin:i386 package.  And then there are some problems from there because of 
the 64-bit OpenGL libs vs 32-bit ones.  I likewise haven't been able to work 
around those issues yet (but it's been a low priority), and I have not found 
it easy to find documentation on how to do so.

> > > I'd like to wait for Chris' additional tests in a VM without OpenGL
> > > to make sure that the mumble binary itself still works there.
> > > Then I'm happy to upload the package.
> > 
> > Ok.  I could tell you the answer to that right now ...
> > but I'm in no rush, so whenever you're ready is fine with me :)
> 
> Right, there's no immediate hurry, so one more confirmation fits my
> "better safe than sorry" mode :)

I just ran it on an amd64 VM within an Xfce session and it seems to be okay.  
To be on the safe side I suspended compositing on the host and made sure the 
VM didn't have 3D acceleration available.  Starting mumble on the command line 
I get a whole bunch of audio-related errors which I'm going to assume are not 
important for the libGL issue so I'm filtering them out.  [I did verify that 
audio connectivity between the VM mumble client and the host mumble client 
worked through the server at least in one direction.]


$ cat mumble-test.txt | fgrep -v "ALSAAudio: Non-critical: avail = 
snd_pcm_avail_update(pcm_handle): Broken pipe"

G15LCDEngineUnix: Unable to connect to G15Daemon.
CELT bitstream 8000000b from /usr/lib/mumble/libcelt0.so.0.7.0
Locale is en_US
Database SQLite: "3.7.13" 
Overlay: Removing old socket on "/home/cknadle/.MumbleOverlayPipe" 
Overlay: Listening on "/home/cknadle/.MumbleOverlayPipe" 
GlobalShortcutX: Unable to open any keyboard input devices under /dev/input, 
falling back to XInput
GlobalShortcutX: Using XI2 2.0
SocketRPC: Removing old socket on "/home/cknadle/.MumbleSocket" 
AudioInput: 40000 bits/s, 48000 hz, 480 sample CELT
ALSAAudioOutput: Initialized
ALSAAudioOutput: Actual buffer 48000 hz, 1 channel 2881 samples [480 per 
period]
ALSAAudioOutput: Initializing 1 channel, 48000 hz mixer
AudioOutput: Initialized 1 channel 48000 hz mixer
"Text "Talking" did not fit (+11/-2): (+7.85938/-2.25). Scaling to 0.888889." 
"Text "Whisper" did not fit (+11/-2): (+7.85938/-2.25). Scaling to 0.888889." 
ALSAAudioOutput: Destroyed
AudioInput: 40000 bits/s, 48000 hz, 480 sample CELT
ALSAAudioOutput: Initialized
ALSAAudioOutput: Actual buffer 48000 hz, 1 channel 2881 samples [480 per 
period]
ALSAAudioOutput: Initializing 1 channel, 48000 hz mixer
AudioOutput: Initialized 1 channel 48000 hz mixer
OpenSSL Support: 1 (OpenSSL 1.0.1c 10 May 2012)
"Text "Talking" did not fit (+11/-2): (+7.85938/-2.25). Scaling to 0.888889." 
"Text "Whisper" did not fit (+11/-2): (+7.85938/-2.25). Scaling to 0.888889." 
ALSAAudioOutput: Destroyed
AudioInput: 40000 bits/s, 48000 hz, 480 sample CELT
PulseAudio: Starting input alsa_input.pci-0000_00_05.0.analog-stereo
AudioInput: Initialized mixer for 1 channel 44100 hz mic and 0 channel 48000 
hz echo
warning: The VAD has been replaced by a hack pending a complete rewrite
AudioInput: 40000 bits/s, 48000 hz, 480 sample CELT
AudioInput: Initialized mixer for 1 channel 44100 hz mic and 0 channel 48000 
hz echo
warning: The VAD has been replaced by a hack pending a complete rewrite



No GL-related errors, so I think we're clear with this fix AFAICT.  :-)

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us



Message sent on to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Bug#691535. (Sun, 11 Nov 2012 17:39:07 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 11 Nov 2012 18:09:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Sun, 11 Nov 2012 18:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 11 Nov 2012 18:24:09 GMT) Full text and rfc822 format available.

Message #165 received at 691535@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: gregor herrmann <gregoa@debian.org>, 691535@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Mon, 12 Nov 2012 04:37:23 +1030
On Sun, Nov 11, 2012 at 05:39:31PM +0100, gregor herrmann wrote:
> On Mon, 12 Nov 2012 01:08:19 +1030, Ron wrote:
> 
> > > > Does glxgears actually run for you without the mumble preload?
> > > Yup, sorry for not mentioning this yesterday.
> > Ok, so it's reasonably certain to be something mumble is trying to do
> > that for whatever reason your system doesn't support.
> > 
> > This doesn't look entirely unrelated:
> > https://bugs.freedesktop.org/show_bug.cgi?id=54080
> > 
> > There's a modified glxgears attached to that which you could run to
> > see if that really is the same problem you have on your system.
> 
> Interesting find!
> 
> With the attached glxgears.c glxgears fails without the mumble
> overlay:

Cool, I was hoping that would boil it down to a minimal test case.
It looked suspiciously similar to exactly what the glXSwapBuffers()
override in libmumble is doing when running glxgears.

Bonus points for it also making it mostly Someone Else's Bug to fix :)


> > A quick dig around also seems to indicate you aren't the first person
> > to have this problem either:
> > 
> > http://www.regnumonline.com.ar/forum/showthread.php?t=60788
> > 
> > And they solved that by switching to a different GL implementation.
> > Interestingly they also report this was working on squeeze, despite
> > the assertions here to the contrary ...
> 
> For installing libgl1-mesa-swx11 I'd have to remove quite a few
> packages, so this is not really attractive on my real machine ...

Yeah, don't do that.  That report is from 2010, so the relevance of
any "solution" there is questionable at best.

The main points of interest there were just:

 - Some GL implementations are more buggy than others (film @11)
 - Confirmation that this really was working for squeeze.


> Now that is funny:
> 
> Why would it work with the 32bit "foreign" libraries but not with the
> "native" 64bit ones?

> MumbleOverlay: OpenGL Version 3.0 Mesa 8.0.5, Vendor Tungsten Graphics,
                        ^^^^^^^^^^^
> Inc, Renderer Mesa DRI Intel(R) Sandybridge Mobile , Shader 1.30
                                                       ^^^^^^^^^^^

> MumbleOverlay: OpenGL Version 1.4 (3.0 Mesa 8.0.5), Vendor Tungsten Graphics,
                        ^^^^^^^^^^^
> Inc, Renderer Mesa DRI Intel(R) Sandybridge Mobile , Shader (null)
                                                       ^^^^^^^^^^^^^

So it would appear the 32bit one is only supporting more stone-age
interfaces, and possibly falling back to something that doesn't
trigger the bug?

I'm not quite sure why that might be, but I'd guess the Mesa folk
could probably shed some light on that for us.  The interesting
question is probably more along the lines of if we can shed some
better light on this bug for them :)


I guess the next step is to see if we already have a mesa bug
reported for Debian that some of this information should go in to
or perhaps to open one for it with whatever we know about it.


  Ron





Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Sun, 11 Nov 2012 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 11 Nov 2012 20:21:03 GMT) Full text and rfc822 format available.

Message #170 received at 691535@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Ron <ron@debian.org>
Cc: 691535@bugs.debian.org, Chris Knadle <Chris.Knadle@coredump.us>, control@bugs.debian.org, libgl1-mesa-dri@packages.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Sun, 11 Nov 2012 21:17:55 +0100
[Message part 1 (text/plain, inline)]
clone 691535 -1
reassign -1 libgl1-mesa-dri
severity -1 normal
found -1 8.0.5-1
retitle -1 libgl1-mesa-dri: OpenGL problems, amd64, intel sandybridge
# sorry for the unimaginative title
thanks

On Mon, 12 Nov 2012 04:37:23 +1030, Ron wrote:

> > > This doesn't look entirely unrelated:
> > > https://bugs.freedesktop.org/show_bug.cgi?id=54080
> > > 
> > > There's a modified glxgears attached to that which you could run to
> > > see if that really is the same problem you have on your system.
> > 
> > Interesting find!
> > 
> > With the attached glxgears.c glxgears fails without the mumble
> > overlay:
> 
> Cool, I was hoping that would boil it down to a minimal test case.
> It looked suspiciously similar to exactly what the glXSwapBuffers()
> override in libmumble is doing when running glxgears.
> 
> Bonus points for it also making it mostly Someone Else's Bug to fix :)

Ack, cloning and reassigning now.
 
> > > http://www.regnumonline.com.ar/forum/showthread.php?t=60788
> > > 
> > > And they solved that by switching to a different GL implementation.
> > > Interestingly they also report this was working on squeeze, despite
> > > the assertions here to the contrary ...
> > 
> > For installing libgl1-mesa-swx11 I'd have to remove quite a few
> > packages, so this is not really attractive on my real machine ...
> 
> Yeah, don't do that.  That report is from 2010, so the relevance of
> any "solution" there is questionable at best.

Ack, if it had been easy I might have tried "just in case".
 
> > Why would it work with the 32bit "foreign" libraries but not with the
> > "native" 64bit ones?
> 
> > MumbleOverlay: OpenGL Version 3.0 Mesa 8.0.5, Vendor Tungsten Graphics,
>                         ^^^^^^^^^^^
> > Inc, Renderer Mesa DRI Intel(R) Sandybridge Mobile , Shader 1.30
>                                                        ^^^^^^^^^^^
> 
> > MumbleOverlay: OpenGL Version 1.4 (3.0 Mesa 8.0.5), Vendor Tungsten Graphics,
>                         ^^^^^^^^^^^
> > Inc, Renderer Mesa DRI Intel(R) Sandybridge Mobile , Shader (null)
>                                                        ^^^^^^^^^^^^^
> 
> So it would appear the 32bit one is only supporting more stone-age
> interfaces, and possibly falling back to something that doesn't
> trigger the bug?

Yeah, something like that.
 
> I'm not quite sure why that might be, but I'd guess the Mesa folk
> could probably shed some light on that for us.  The interesting
> question is probably more along the lines of if we can shed some
> better light on this bug for them :)

Right, at the moment the info is a bit poor; if you have some ideas
please follow up on the cloned bug; and for the mesa maintainers: I'm
happy to do tests if I get some pointers. reportbug output attached.

> I guess the next step is to see if we already have a mesa bug
> reported for Debian that some of this information should go in to
> or perhaps to open one for it with whatever we know about it.

I haven't found anything in a quick look at bug titles.


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Mark Knopfler: What It Is
[reportbug-libgl1-mesa-dri-20121111 (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Bug 691535 cloned as bug 692994 Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 11 Nov 2012 20:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Sun, 11 Nov 2012 20:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 11 Nov 2012 20:24:03 GMT) Full text and rfc822 format available.

Message #177 received at 691535@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Chris Knadle <Chris.Knadle@coredump.us>
Cc: 691535-submitter@bugs.debian.org, Ron <ron@debian.org>, 691535@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Sun, 11 Nov 2012 21:20:50 +0100
[Message part 1 (text/plain, inline)]
On Sun, 11 Nov 2012 12:37:42 -0500, Chris Knadle wrote:

> > Why would it work with the 32bit "foreign" libraries but not with the
> > "native" 64bit ones?
> > 
> > (Same with Chris' example (armagetronad): works with the 32bit libs
> > and fails the same way with 64bit.)
> 
> This sort of reminds me of an issue I'm having the current WINE package in 
> Debian.  The wine64-bin package contains only a text file describing what's 
> necessary to install the i386 foreign architecture and then to install the 
> wine-bin:i386 package.  And then there are some problems from there because of 
> the 64-bit OpenGL libs vs 32-bit ones.  I likewise haven't been able to work 
> around those issues yet (but it's been a low priority), and I have not found 
> it easy to find documentation on how to do so.

Right, "wine" and "OpenGL" showed up very frequently in my search.
Interesting to know that there are als 64- vs. 32-bit problems.
 
> > > > I'd like to wait for Chris' additional tests in a VM without OpenGL
> > > > to make sure that the mumble binary itself still works there.
> > > > Then I'm happy to upload the package.
> > > Ok.  I could tell you the answer to that right now ...
> > > but I'm in no rush, so whenever you're ready is fine with me :)
> > Right, there's no immediate hurry, so one more confirmation fits my
> > "better safe than sorry" mode :)
> I just ran it on an amd64 VM within an Xfce session and it seems to be okay.  

Cool, thanks for running these tests!

> To be on the safe side I suspended compositing on the host and made sure the 
> VM didn't have 3D acceleration available.  Starting mumble on the command line 
> I get a whole bunch of audio-related errors which I'm going to assume are not 
> important for the libGL issue so I'm filtering them out.  

Ack.

> No GL-related errors, so I think we're clear with this fix AFAICT.  :-)

Cool, then I'm preparing the upload now.
Thanks agin.

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: David Bowie: Tvc 15
[signature.asc (application/pgp-signature, inline)]

Message sent on to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Bug#691535. (Sun, 11 Nov 2012 20:24:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Sun, 11 Nov 2012 20:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 11 Nov 2012 20:39:03 GMT) Full text and rfc822 format available.

Message #185 received at 691535@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 691535@bugs.debian.org
Cc: Chris Knadle <Chris.Knadle@coredump.us>
Subject: mumble: diff for NMU version 1.2.3-349-g315b5f5-2.2
Date: Sun, 11 Nov 2012 21:34:05 +0100
[Message part 1 (text/plain, inline)]
Hi Ron,

as discussed, I've now uploaded -2.2 with the -lGL patch to unstable.
Debdiff of the actual upload attached for your convenience.


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Dire Straits: Setting Me Up
[mumble-1.2.3-349-g315b5f5-2.2-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Sun, 11 Nov 2012 20:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 11 Nov 2012 20:51:05 GMT) Full text and rfc822 format available.

Message #190 received at 691535@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: gregor herrmann <gregoa@debian.org>, 691535@bugs.debian.org
Cc: Ron <ron@debian.org>, Chris Knadle <Chris.Knadle@coredump.us>, 692994@bugs.debian.org
Subject: Re: Bug#691535: undefined symbol: glPopClientAttrib
Date: Sun, 11 Nov 2012 21:46:58 +0100
[Message part 1 (text/plain, inline)]
On Sun, Nov 11, 2012 at 17:39:31 +0100, gregor herrmann wrote:

> Now that is funny:
> 
> % LIBGL_DRIVERS_PATH=/usr/lib/x86_64-linux-gnu/dri MUMBLE_OVERLAY_DEBUG=1 mumble-overlay glxgears                                                            
> set
> MumbleOverlay: Mumble overlay library loaded
> MumbleOverlay: Iterating dlsym table 0x7f3a5b463348 0x7f3a5b4636f0 39
> MumbleOverlay: Original dlsym at 0x7f3a5b464030
> MumbleOverlay: Request for symbol __driDriverExtensions (0x2008880:0x7f3a5b464030)
> Running synchronized to the vertical refresh.  The framerate should be
> approximately the same as the monitor refresh rate.
> MumbleOverlay: Current context is: 0x2005950
> MumbleOverlay: GLX version 1.4
> MumbleOverlay: OpenGL Version 3.0 Mesa 8.0.5, Vendor Tungsten Graphics, Inc, Renderer Mesa DRI Intel(R) Sandybridge Mobile , Shader 1.30
> MumbleOverlay: VERTEX: 
> MumbleOverlay: FRAGMENT: 
> X Error of failed request:  GLXBadDrawable
>   Major opcode of failed request:  154 (GLX)
>   Minor opcode of failed request:  29 (X_GLXGetDrawableAttributes)
>   Serial number of failed request:  33
>   Current serial number in output stream:  33
> 
> % LIBGL_DRIVERS_PATH=/usr/lib/i386-linux-gnu/dri MUMBLE_OVERLAY_DEBUG=1 mumble-overlay glxgears
> set
> MumbleOverlay: Mumble overlay library loaded
> MumbleOverlay: Iterating dlsym table 0x7fb7b0677348 0x7fb7b06776f0 39
> MumbleOverlay: Original dlsym at 0x7fb7b0678030
> Running synchronized to the vertical refresh.  The framerate should be
> approximately the same as the monitor refresh rate.
> MumbleOverlay: Current context is: 0xe98940
> MumbleOverlay: GLX version 1.4
> MumbleOverlay: OpenGL Version 1.4 (3.0 Mesa 8.0.5), Vendor Tungsten Graphics, Inc, Renderer Mesa DRI Intel(R) Sandybridge Mobile , Shader (null)
> MumbleOverlay: VERTEX: 
> MumbleOverlay: FRAGMENT: 
> MumbleOverlay: connect() failure /home/gregoa/.MumbleOverlayPipe
> MumbleOverlay: connect() failure /home/gregoa/.MumbleOverlayPipe
> [..]
> 
> 
> Why would it work with the 32bit "foreign" libraries but not with the
> "native" 64bit ones?
> 
Because this is not a '32bit' vs '64bit' test, it's a 'direct' vs
'indirect' test.  No surprise that they're different.  (Your 64bit libGL
won't load a 32bit driver, so changing the driver path means you fall
back to indirect.)

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sun, 11 Nov 2012 20:51:11 GMT) Full text and rfc822 format available.

Notification sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Bug acknowledged by developer. (Sun, 11 Nov 2012 20:51:11 GMT) Full text and rfc822 format available.

Message #195 received at 691535-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 691535-close@bugs.debian.org
Subject: Bug#691535: fixed in mumble 1.2.3-349-g315b5f5-2.2
Date: Sun, 11 Nov 2012 20:49:01 +0000
Source: mumble
Source-Version: 1.2.3-349-g315b5f5-2.2

We believe that the bug you reported is fixed in the latest version of
mumble, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 691535@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated mumble package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 11 Nov 2012 21:21:43 +0100
Source: mumble
Binary: mumble mumble-server mumble-dbg
Architecture: source amd64
Version: 1.2.3-349-g315b5f5-2.2
Distribution: unstable
Urgency: low
Maintainer: Ron Lee <ron@debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 mumble     - Low latency VoIP client
 mumble-dbg - Low latency VoIP client (debugging symbols)
 mumble-server - Low latency VoIP server
Closes: 691535
Changes: 
 mumble (1.2.3-349-g315b5f5-2.2) unstable; urgency=low
 .
   * Non-maintainer upload with maintainer's approval.
   * Fix "Plugins: Failed to load libmumble.so: Cannot load library
     /usr/lib/mumble/libmumble.so: (/usr/lib/mumble/libmumble.so:
     undefined symbol: glPopClientAttrib)":
 .
     new patch 30-opengl: link libmumble against libGL to make mumble-overlay /
     pre-loading libmumble work.
 .
     Thanks to Daniel Kahn Gillmor for the bug report, Ron Lee for the
     suggested fix, and Chris Knadle for testing the patch.
 .
     (Closes: #691535)
Checksums-Sha1: 
 072c90ff8bd0af7e825914d76140b93b8996683a 2532 mumble_1.2.3-349-g315b5f5-2.2.dsc
 7cfe06bb57efce46cfdf46158a8f9136309ec6fd 37551 mumble_1.2.3-349-g315b5f5-2.2.debian.tar.gz
 b0c09d44812f7939bf73928c300f0d6c91c4af72 2876950 mumble_1.2.3-349-g315b5f5-2.2_amd64.deb
 11b079a6a75a8dcdb31617152d413fa388906628 955856 mumble-server_1.2.3-349-g315b5f5-2.2_amd64.deb
 0dd5b3108629d79d4bc7a6ed2d801595d0a71b04 29368804 mumble-dbg_1.2.3-349-g315b5f5-2.2_amd64.deb
Checksums-Sha256: 
 f77a5e77d239cc648efc80daeeb12fdc86d58822b9f3670646da9551aafe97f1 2532 mumble_1.2.3-349-g315b5f5-2.2.dsc
 403de583b482efccc27965053882457fd768971ec5de97de01e91770eaac1a3e 37551 mumble_1.2.3-349-g315b5f5-2.2.debian.tar.gz
 79b3c77c463b9ef336895bd990ffeac59c9806ddf906444b6b24fb9f9db1b9fe 2876950 mumble_1.2.3-349-g315b5f5-2.2_amd64.deb
 dd0db6f57f325ff81201862e553ebfe4508437a187ca455de5274a2e59bb0973 955856 mumble-server_1.2.3-349-g315b5f5-2.2_amd64.deb
 084999ad21a165c8a962f3847ccdc12620b54f8be37785712d187d8c8a887939 29368804 mumble-dbg_1.2.3-349-g315b5f5-2.2_amd64.deb
Files: 
 574d158df6b028423ceb9e1219264024 2532 sound optional mumble_1.2.3-349-g315b5f5-2.2.dsc
 b7d996386336965c6883cdb2a4bea420 37551 sound optional mumble_1.2.3-349-g315b5f5-2.2.debian.tar.gz
 3392d253b933e544e801ac8d552b7166 2876950 sound optional mumble_1.2.3-349-g315b5f5-2.2_amd64.deb
 312c347f74e2dfacb7821a9138bb0083 955856 sound optional mumble-server_1.2.3-349-g315b5f5-2.2_amd64.deb
 151e29ee71f910de7e7cf7978a114706 29368804 debug extra mumble-dbg_1.2.3-349-g315b5f5-2.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQoApHAAoJELs6aAGGSaoGC6IP/2Ku2FPKv2kn2zBKqLS6zTsJ
lOLIV67saqSwEhK2hbBIFKUAlsqRmFws3EZx2tPuiHCKzpNlmljB7rs7QLzcF1j+
N+AcUu4UbL91wTYuIvrqg7qc6dNhuELM7ZU6+jrzhxLc5ddbJnCj9qnDwXoyyff1
KK6wEkXsx5rlpPP6InWiLRTWNFucvo5jnmYG4/stpYj1lZEKSrU3SJefCR2uv7Gw
TVp4Xq63M/Z0vjjOTFpRQ0YkYmMVHFqFcw6F0wMHkHFdlh+v4TRYjxlTUAJTH6Kb
W3z5B7SXKVY3u2ddhNVJkSCJ72TQZnL8Y+hnExyI2dOrVF5WyEL4mUAENVBNNgp9
o4y0xbY8EZ7yOgaJBua6DirCfcrJfpdPC2FtRpLEIEBgmtgFqBkm3Gr8YdodqM/1
wBuFkecH+yUBXOerpd1JNotWbe00n77EstHaBCCV4jizIp1jcoaS9mt6NyuxPyNp
axxzu1yKpquU33AKTElcHvjHiuxyS/Ha0D4wFd912R1wUL0ff7qnpmynQD1Ytpyj
+BwM1jWe4uXofXDWyhQ6Ryxu+KDyw/x5Bp8MH87Ii6oMrbnHbzkVguAHM624hCsA
6tI+A56TuPnzv0yOMuFj4Op7zzbhXCDztJL6ALL57ABFRPZOo+QaB4gEcPhztmfL
fMhuHYuUnBXxbqbH3ClY
=5kSN
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Sun, 11 Nov 2012 22:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 11 Nov 2012 22:03:05 GMT) Full text and rfc822 format available.

Message #200 received at 691535@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: gregor herrmann <gregoa@debian.org>
Cc: 691535@bugs.debian.org, Ron Lee <ron@debian.org>, Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Subject: Re: mumble: diff for NMU version 1.2.3-349-g315b5f5-2.2
Date: Sun, 11 Nov 2012 16:58:21 -0500
On Sunday, November 11, 2012 15:34:05, gregor herrmann wrote:
> Hi Ron,
> 
> as discussed, I've now uploaded -2.2 with the -lGL patch to unstable.
> Debdiff of the actual upload attached for your convenience.

Awesome.  :-)

Just a quick note: I just rebuilt the -2.2 with cowbuilder and tested the 
version on an i386 VM; looks great, no unexpected errors.  [The G15Daemon 
error seems to be related to a Logitech G15 keyboard, which I don't use so I 
don't have the daemon for it installed or running.  :-P]

Thanks all.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us



Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#691535; Package mumble. (Sun, 11 Nov 2012 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Sun, 11 Nov 2012 22:21:03 GMT) Full text and rfc822 format available.

Message #205 received at 691535@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Chris Knadle <Chris.Knadle@coredump.us>
Cc: 691535@bugs.debian.org, Ron Lee <ron@debian.org>, Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Subject: Re: mumble: diff for NMU version 1.2.3-349-g315b5f5-2.2
Date: Sun, 11 Nov 2012 23:16:09 +0100
[Message part 1 (text/plain, inline)]
On Sun, 11 Nov 2012 16:58:21 -0500, Chris Knadle wrote:

> Just a quick note: I just rebuilt the -2.2 with cowbuilder and tested the 
> version on an i386 VM; looks great, no unexpected errors.  

Cool, good to have one more positive test!


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Bruce Springsteen: Into the Fire
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 20 Dec 2012 07:27:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:16:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.